package com.winhc.bigdata.calc.bean;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import java.math.BigDecimal;
import java.util.Date;
import java.util.Set;
import java.util.TreeSet;


@Data
@NoArgsConstructor
@AllArgsConstructor
public class EciScoreDetail {
    // 得分大类
    private Integer kind;
    // 得分项目
    private String project;
    // 得分描述
    private String type;
    // 得分
    private float score;
    // 总分
    private double total;
    // 备注
    private String memo;
    // 评级
    private Integer warn;
    // 附加分
    private float extraScore = 0f;

    // 措施
    private Set<Integer> measureIds;

    public EciScoreDetail(Integer kind,String project, String type, float score, double total) {
        this.kind = kind;
        this.project = project;
        this.type = type;
        this.score = score;
        this.total = total;
    }

    public EciScoreDetail(Integer kind,String project, String type, float score, String memo, Integer warn, double total) {
        this.kind = kind;
        this.project = project;
        this.type = type;
        this.score = score;
        this.memo = memo;
        this.warn = warn;
        this.total = total;
    }


    /**
     * 设置措施ID
     * @param measureId
     */
    public EciScoreDetail setMeasureId(Integer measureId) {
        if (measureId == null) {
            return this;
        }
        if (this.measureIds == null) {
            this.measureIds = new TreeSet<>();
        }
        this.measureIds.add(measureId);
        return this;
    }

    @Override
    public String toString() {
        return "EciScoreDetail{" +
                "kind=" + kind +
                ", project='" + project + '\'' +
                ", type='" + type + '\'' +
                ", score=" + score +
                ", total=" + total +
                ", memo='" + memo + '\'' +
                ", warn=" + warn +
                ", extraScore=" + extraScore +
                '}';
    }
}
