package com.winhc.bigdata.calc.enums;

public class Dict {

    public enum Source {
        app, WX_GZH
    }

    public enum YesOrNo {
        YES("Y"), No("N");

        public final String code;

        YesOrNo(String code) {
            this.code = code;
        }
    }

    public enum VersionCode {
        老版本(1), 新版本(2);

        public final Integer code;

        VersionCode(Integer code) {
            this.code = code;
        }
    }

    public static enum JudgeQueryType {
        被告("defendants"), 原告("plaintiffs"), 全部案件("party_info");
        private String code;

        JudgeQueryType(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }

        public static String getDescByCode(String code) {
            for (JudgeQueryType e : JudgeQueryType.values()) {
                if (e.getCode().equals(code)) {
                    return e.name();
                }
            }
            return null;
        }
    }

    public enum LitigantType {
        当事人("0"), 企业("1");

        public final String code;

        LitigantType(String code) {
            this.code = code;
        }
    }

    public enum GudongRole {
        法人代表(1), 股东(2), 高管(3);

        public final Integer code;

        GudongRole(Integer code) {
            this.code = code;
        }
    }

    public enum ContractResource {
        lawyerUpdate, vcAgent, risk

    }

    /**
     * 文书企业查询状态
     */
    public enum WenshuCompanyStatus {
        未处理("0"),已处理("1"),查询出错("2"), 插入出错("3");
        private String code;

        WenshuCompanyStatus(String code) {
            this.code = code;
        }

        public String getCode() {
            return this.code;
        }

    }


    /**
     * 企业动态变更方式
     */
    public enum CHANGE_WAY {
        更新("0"),新增("1"),删除("2");
        private String code;

        CHANGE_WAY(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    /**
     * 企业动态变更类型
     */
    public enum CHANGE_CATEGORY {
        工商信息("edi"), 失信人信息("sx"), 被执行人信息("zx"), 裁判文书("jdc"), 法院公告("ca"), 经营异常("ex"),
        股权出质("ep"), 行政处罚("ap"), 抽查检查("sc"), 动产抵押("cm"), 清算信息("ld"), 对外投资("iv"), 开庭公告("cn"), 司法拍卖("js"),
        严重违反("sv"), 环保处罚("ev"), 大股东变更("ms"), 实际控制人变更("ac"), 股权冻结("ef"), 送达报告("dn"), 融资动态("fd"),
        税收违法("ti"), 土地抵押("lm"), 欠税公告("ta");

        private String code;

        CHANGE_CATEGORY(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    /**
     * 企业评分等级
     */
    public enum ECI_WARN {
        严重(-2),警告(-1),正常(0),良好(1),优秀(2) ;
        private Integer code;
        ECI_WARN(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }


    /**
     * 企业评分大类
     */
    public enum ECI_KIND {
        // 资信报告
        基本情况(1), 经营情况(2), 资产权益(3), 经营风险(4), 法律风险(5),
        // 实际控制人权益和风险报告
        担任法定代表人(10),存续的对外投资(11),在外任职(12),被执行人(13),失信被执行人(14),
        关联企业(15),对外债权(16),限制高消费(17),
        // 智能风控报告
        被告基本情况(20), 背景情况(21), 被告资产权益(22), 被告企业风险(23), 被告法律风险(24);
        private Integer code;

        ECI_KIND(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    /**
     * 专利详情大类
     */
    public enum ECI_ZSCQ {
        全国商标(1), 著作权(2), 软件著作权(3), 公司网站(4), 公司专利(5);
        private Integer code;

        ECI_ZSCQ(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    /**
     * 专利状态
     */
    public enum ECI_LEGAL_STATUS {
        有效(1),无效(2);
        private Integer code;

        ECI_LEGAL_STATUS(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    /**
     * 企查查企业类型枚举
     */
    public enum ECI_ENT_TYPE {
        企业("0"),
        社会组织("1"), 香港公司("3"), 政府机构("4"), 台湾公司("5"), 基金会("6"), 医院("7"),
        海外公司("8"), 律师事务所("9"), 学校("10"), 其他("-1");
        private String code;

        ECI_ENT_TYPE(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    /**
     * 新闻舆情查询类型
     */
    public enum EMOTION_QUERY_TYPE {
        消极("1"),
        中立("2"), 积极("3");
        private String code;

        EMOTION_QUERY_TYPE(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    /**
     * 热点新闻结果类型
     */
    public enum EMOTION_RESULT_TYPE {
        消极("negative"),
        中立("none"), 积极("positive");
        private String code;
        EMOTION_RESULT_TYPE(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    /**
     * 评分状态
     */
    public enum GradeStatus {
        待评分(0), 评分完成(1), 评分失败(3);
        private Integer code;
        GradeStatus(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    /**
     * 企查查 企业信息总数量记录类型
     */
    public enum ECI_DATA_COUNT_TYPE {
        特殊资质, 招聘信息, 融资信息, 债券信息, 舆情信息, 控股企业, 股权出质, 对外投资, 公司专利,软件著作权,公司网站,著作权,全国商标,
        简易注销, 严重违法, 司法拍卖, 动产抵押, 经营异常, 环保处罚, 税收违法, 欠税公告, 公示催告,历史失信, 开庭公告, 股权冻结, 立案信息,
        裁判文书, 法院公告, 土地公示, 土地购买, 土地转让, 土地抵押, 企业新闻, 历史被执
    }



    /**
     * 个人对外角色枚举
     */
    public enum FOREIGN_ROLE_ENUM {
        对外法人(0), 对外投资(1), 对外任职(2);
        private Integer code;

        FOREIGN_ROLE_ENUM(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    /**
     * 法人对外类型
     */
    public enum Relation_type {
        担任法定代表人的公司("0"), 投资的公司("1"), 任职的公司("2");
        private String code;

        Relation_type(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

//    /**
//     * 评分类型
//     */
//    public enum ECI_CREDIT_SCORE_TYPE {
//        资信(1), 控制人权益和风险(2);
//        private Integer code;
//        ECI_CREDIT_SCORE_TYPE(Integer code) {
//            this.code = code;
//        }
//
//        public Integer getCode() {
//            return code;
//        }
//    }

    public enum PERSON_RISK_TYPE {
        失信("1"),被执行("2"),限制消费("3");
        private String code;

        PERSON_RISK_TYPE(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    /**
     * 智能风控状态
     */
    public enum INTELLIGENT_RISK_STATUS {
        成功("0"), 失败("1");
        private String code;

        INTELLIGENT_RISK_STATUS(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    /**
     * 智能风控 企业/自然人类型
     */
    public enum LITIGANT_TYPE {
        自然人("0"),企业("1"),自然人无关联企业("3");
        private String code;

        LITIGANT_TYPE(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    /**
     * 企业维度类型
     */
    public enum DIMENSION_TYPE {
        基本信息(1), 经营风险(2), 法律风险(3);
        private Integer code;

        DIMENSION_TYPE(Integer code) {
            this.code = code;
        }

        public static DIMENSION_TYPE getEnumByCode(Integer code) {
            for (DIMENSION_TYPE e : DIMENSION_TYPE.values()) {
                if (e.getCode().equals(code)) {
                    return e;
                }
            }
            return 基本信息;
        }
        public Integer getCode() {
            return code;
        }
    }

    /**
     * 股东类型，该枚举不全，暂时用这两个
     */
    public enum STOCK_TYPE {
        自然人股东,外籍自然人
    }
//
//    /**
//     * 土地转让
//     */
//    public enum LAND_TRANSFER_CON {
//        土地转让方(0), 土地受让方(1);
//        private Integer code;
//
//        LAND_TRANSFER_CON(Integer code) {
//            this.code = code;
//        }
//    }
    /**
     * 报告类型
     */
    public enum ReportTypeEnum {

        资信的调查报告(0), 案件动态报告(1), 债权穿透报告(2), 债权监测报告(3), 律师匹配报告(4),
        简易资信报告(5), 实际控制人权益及风险报告(6),律师数据分析报告(7),智能风险评估报告(8), 旧案托管报告(9),
        财产信息分析报告(10) ,履债评估报告(11),交易评估(12);
        private Integer code;

        ReportTypeEnum(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }

        public static String getDescByCode(Integer code) {
            for (ReportTypeEnum e : ReportTypeEnum.values()) {
                if (e.getCode().equals(code)) {
                    return e.name();
                }
            }
            return null;
        }

    }
    /**
     * mq业务类型
     */
    public enum MQBizTypeEnum {

        资信的调查报告(0), 案件进展报告(1),债权穿透分析报告(2), 公司动态监测报告(3), 律师匹配报告(4),
        简易资信报告(5), 权益及风险分析报(6), 律师分析报告(7), 可执行诊断报告(8), 案件托管报告(9),
        财产信息分析报告(10), 履债评估报告(11), 交易风险评估报告(12), 飞天系统风控(13);
        private Integer code;

        MQBizTypeEnum(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }

        public static String getDescByCode(Integer code) {
            for (MQBizTypeEnum e : MQBizTypeEnum.values()) {
                if (e.getCode().equals(code)) {
                    return e.name();
                }
            }
            return null;
        }

    }


    public enum QueryStatusEnum {
        成功(0),失败(1);

        public final Integer code;

        QueryStatusEnum(Integer code) {
            this.code = code;
        }
    }
}

