package com.winhc.bigdata.spark

import java.io.File

import com.aliyun.odps.Odps
import com.aliyun.odps.account.AliyunAccount
import com.aliyun.odps.local.common.WareHouse
import com.winhc.bigdata.spark.utils.SparkUtils
import org.apache.spark.sql.SparkSession

object TestSparkSql {
  private val accessId = "LTAI4G4n7pAW8tUbJVkkZQPD"
  private val accessKey = "uNJOBskzcDqHq1TYG3m2rebR4c1009"
  private val endpoint = "http://service.cn.maxcompute.aliyun.com/api"
  private val defaultProject = "example_project"
  val account = new AliyunAccount(accessId, accessKey)
  val od = new Odps(account)
  od.setEndpoint(endpoint)
  od.setDefaultProject(defaultProject)
  def initWarehouse ():WareHouse= {
    var exampleProjectDir = new File("warehouse" + File.separator + defaultProject)
    if (exampleProjectDir.exists) return WareHouse.getInstance("warehouse")
    else {
      exampleProjectDir = new File("../warehouse" + File.separator + defaultProject)
      if (exampleProjectDir.exists) return WareHouse.getInstance("../warehouse")
    }
    throw new RuntimeException("warehouse dir not exists")
  }
  def main(args: Array[String]): Unit = {
    val spark: SparkSession = SparkUtils.InitEnv("test")

    import spark._
    val tableName = "ods_company_all"
    val rdf = sql(s"select * from $tableName limit 10")
//    rdf.foreach(println(_))
    val strList = Array("*")
    val wh = initWarehouse()
    wh.setOdps(od)
    wh.readData("winhc_test_dev", tableName, null, null, ',').toArray().foreach(println _)
//    print(s"rdf size : ${rdf.count()}")
  }

}
