package com.winhc.bigdata.spark.config

import com.winhc.bigdata.spark.const.EnvConst
import org.apache.hadoop.conf.Configuration
import org.apache.hadoop.hbase.mapred.TableOutputFormat
import org.apache.hadoop.hbase.{HBaseConfiguration, HConstants}
import org.apache.hadoop.mapred.JobConf

/**
 * @Author: XuJiakai
 * @Date: 2020/6/3 19:03
 * @Description:
 */
object HBaseConfig {
  def getHbaseConf(): Configuration = {
    val config = HBaseConfiguration.create()
    val zkAddress: String = EnvConst.getEnv().getValue("zk.address")
    config.set(HConstants.ZOOKEEPER_QUORUM, zkAddress);
    config
  }

  def HBaseOutputJobConf(outputTable: String): JobConf = {
    val jobConf = new JobConf(getHbaseConf())
    jobConf.setOutputFormat(classOf[TableOutputFormat])
    jobConf.set(TableOutputFormat.OUTPUT_TABLE, outputTable)
    jobConf
  }
}
