package com.winhc.bigdata.spark.implicits

import com.winhc.bigdata.spark.utils.AreaCode2Name
import org.apache.commons.lang3.StringUtils

/**
 * @author: XuJiakai
 * @date: 2021/5/28 10:33
 */
object AreaCode2NameHelper {

  implicit class AreaCode2NameEnhancer(map: Map[String, AreaCode2Name]) extends Serializable {
    def get_area_name(province_code: String, city_code: String, county_code: String): (String, String, String) = {
      if (StringUtils.isEmpty(province_code)) {
        (null, null, null)
      } else {
        val f = map.getOrElse(province_code, null)
        if (f == null) {
          (null, null, null)
        } else {
          val f_name = f.name
          val s = f.sub_content.getOrElse(city_code, null)
          if (s == null) {
            (f_name, null, null)
          } else {
            val s_name = s.name
            val t = s.sub_content.getOrElse(county_code, null)
            if (t == null) {
              (f_name, s_name, null)
            } else {
              (f_name, s_name, t.name)
            }
          }
        }
      }
    }

    def get_area_name(area_code: String): (String, String, String) = {
      if (StringUtils.isEmpty(area_code) || area_code.length != 6) {
        (null, null, null)
      } else {
        val province_code = area_code.substring(0, 2)
        val city_code = area_code.substring(2, 4)
        val county_code = area_code.substring(4, 6)
        map.get_area_name(province_code, city_code, county_code)
      }
    }
  }
}
