package com.winhc.bigdata.spark.implicits

import com.winhc.bigdata.spark.config.PhoenixConfig
import org.apache.spark.sql.DataFrame

/**
 * @Author: XuJiakai
 * @Date: 2020/6/4 08:40
 * @Description:
 */
object PhoenixHelper {

  implicit class DataFrameEnhancer(df: DataFrame) {
    /**
     * 只有 catalog为in-memory方式可用
     *
     * @param tableName
     */
    @deprecated(message = "catalog为in-memory方式可用")
    def save2Phoenix(tableName: String): Unit = {
      val tmpTable = "tmp_" + tableName
      df.sparkSession.sql(PhoenixConfig.getPhoenixTempView(tmpTable, tableName))
      df.write
        .mode("append")
        .insertInto(tmpTable)
    }

    /**
     * catalog不限
     *
     * @param tableName
     */
    def save2PhoenixByJDBC(tableName: String): Unit = {
      df.write
        .mode("append")
        .jdbc(PhoenixConfig.getPhoenixJDBCUrl, tableName, PhoenixConfig.getPhoenixProperties)
    }

    def save2PhoenixByJDBCPro(tableName: String, cols: Seq[String]): Unit = {
      import org.apache.spark.sql.functions.col
      df.select(cols.map(column => col(column).cast("string")): _*).save2PhoenixByJDBC(tableName)
    }

    def save2PhoenixByJDBCPro(tableName: String): Unit = {
      import org.apache.spark.sql.functions.col
      df.select(df.columns.map(column => col(column).cast("string")): _*).save2PhoenixByJDBC(tableName)
    }
  }

}
