package com.winhc.bigdata.spark.jobs

import com.winhc.bigdata.spark.utils.{CompanyForCidsUtils, SparkUtils}
import org.apache.spark.sql.SparkSession

import scala.collection.mutable

/**
 * 软件著作权 | 作品著作权 | 专利
 * π
 */

object CompanyForCids {
  val tabMapping: Map[String, Seq[String]] =
    Map("ods_company_copyright_reg" -> Seq("reg_num", "full_name"), //软件著作权
      "ods_company_copyright_works" -> Seq("reg_num", "name"), //作品著作权
      "ods_company_patent" -> Seq("pub_number", "title") //作品著作权
    )

  //  winhc_eci_dev company_court_open_announcement case_no,plaintiff,defendant,new_cid
  //  winhc_eci_dev company_court_register case_no,plaintiff,defendant,new_cid
  //  winhc_eci_dev company_copyright_reg reg_num,new_cid
  //  winhc_eci_dev company_court_announcement new_cid,plaintiff,litigant,publish_date,case_no
  //  winhc_eci_dev company_judicial_sale new_cid,title

  //winhc_eci_dev company_judicial_sale_combine new_cid,main_id

  def main(args: Array[String]): Unit = {
    val Array(space, sourceTable, cols) = args

    var config = mutable.Map(
      "spark.hadoop.odps.project.name" -> "winhc_eci_dev",
      "spark.hadoop.odps.spark.local.partition.amt" -> "10"
    )

    val spark: SparkSession = SparkUtils.InitEnv(this.getClass.getSimpleName, config)
    CompanyForCidsUtils(spark, space ,sourceTable, cols.split(",")).calc()
    spark.stop()
  }


}
