package com.winhc.bigdata.spark.jobs

import com.winhc.bigdata.spark.model.CompanyIntellectualsScore
import com.winhc.bigdata.spark.utils.{CompanyIncSummary, SparkUtils}

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/6/24 16:07
 * @Description:
 */
object CompanySummaryInc {
  //winhc_eci_dev company_icp new_cid liscense,domain,new_cid
  def main(args: Array[String]): Unit = {
    if (args.length != 4) {
      println("please enter project,tableName,cidField,dupliCols")
      sys.exit(-99)
    }
    val Array(project, tableName, cidField, dupliCols) = args

    val config = mutable.Map(
      "spark.hadoop.odps.project.name" -> project,
      "spark.hadoop.odps.spark.local.partition.amt" -> "10"
    )
    val spark = SparkUtils.InitEnv("CompanySummaryInc", config)
    CompanyIncSummary(spark, project, tableName, cidField, dupliCols.split(",").seq).calc
    CompanyIntellectualsScore.start(spark, project, tableName, "inc_tmp_view")
    spark.stop()
  }
}
