package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: XuJiakai
 * @Date: 2020/8/21 13:41
 * @Description: 年报对外投资
 */
case class company_annual_report_out_investment(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = "对外投资发生变更"

  override def getInsertTitle(newMap: Map[String, String]): String = s"新增一家对外投资：${newMap.getOrElse("out_investment_name", "")}"

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "对外投资", Array("out_investment_cid", "out_investment_name", "reg_number", "credit_code"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("update_time")
}
