
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: Yan Yongnian
 * @Date: 2020/8/19
 * @Description:
 */


//简易注销

case class company_brief_cancel_announcement(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("company_name"), s"${newMap("company_name")}简易注销发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("company_name"), s"新增${newMap("company_name")}简易注销")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "简易注销", Array("company_name", "reg_number", "credit_code", "announcement_term", "reg_authority"))

  override def getBizTime(newMap: Map[String, String]): String = DateUtils.getNotNullStr(newMap("announcement_end_date"),newMap("update_time"))
}
