
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}
import org.apache.commons.lang3.StringUtils

/**
 * @Author: π
 * @Date: 2020/8/11
 * @Description:双随机抽查
 */

case class company_double_random_check_info(equCols: Seq[String]) extends CompanyChangeHandle with Serializable  {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("check_task_num"), s"${newMap("check_task_num")}双随机抽查发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("check_task_num"), s"新增${newMap("check_task_num")}双随机抽查")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "双随机抽查", Array("check_task_num", "check_date"))

  override def getBizTime(newMap: Map[String, String]): String = {
    DateUtils.getBizDate(newMap("check_date"), newMap("update_time"))
  }
}
