
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: Yan Yongnian
 * @Date: 2020/8/4
 * @Description:
 */


//土地转让

case class company_land_transfer(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("location"), s"${newMap("location")}土地转让信息发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("location"), s"新增${newMap("location")}土地转让信息")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "土地转让", Array("merchandise_time", "user_pre", "user_now", "location", "area", "merchandise_price", "aministrative_area"))

  override def getBizTime(newMap: Map[String, String]): String = DateUtils.getNotNullStr(newMap("merchandise_time"),newMap("update_time"))
}
