
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}
import org.apache.commons.lang3.StringUtils

/**
 * @Author: π
 * @Date: 2020/8/11
 * @Description:行政许可-信用中国
 */

case class company_license_creditchina(equCols: Seq[String]) extends CompanyChangeHandle with Serializable  {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("licence_number"), s"行政许可-信用中国发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("licence_number"), s"新增行政许可-信用中国")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "行政许可-信用中国", Array("licence_content","decision_date"))

  override def getBizTime(newMap: Map[String, String]): String = {
    DateUtils.getBizDate(newMap("decision_date"), newMap("update_time"))
  }
}
