
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: Yan Yongnian
 * @Date: 2020/8/10
 * @Description:
 */


//动产抵押

case class company_mortgage_info(equCols: Seq[String]) extends CompanyChangeHandle with Serializable {

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = {
    val str = ChangeExtractUtils.getTags(newMap, "动产抵押", Array("reg_num", "reg_date", "publish_date", "amount", "overview_amount"))
    str
  }

  override def getBizTime(newMap: Map[String, String]): String = {
    //若公示日期为null则取登记日期
    if(newMap("publish_date")==null) {
      if(newMap("reg_date")==null){
        newMap("update_time")
      }
      else {
        newMap("reg_date")
      }
    }
    else {
      newMap("publish_date")
    }
  }

  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("reg_num"), s"${newMap("reg_num")}动产抵押发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("reg_num"), s"新增${newMap("reg_num")}动产抵押")
}
