
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: Yan Yongnian
 * @Date: 2020/8/6
 * @Description:
 */


//公示催告

case class company_public_announcement2_list(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("bill_type") + newMap("bill_num"), s"${newMap("bill_type") + newMap("bill_num")}公示催告发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("bill_type") + newMap("bill_num"), s"新增${newMap("bill_type") + newMap("bill_num")}公示催告")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "公示催告", Array("applicant_cid", "owner_cid", "drawer_cid", "gather_name_cid", "bill_type", "bill_num", "bill_amt"))

  override def getBizTime(newMap: Map[String, String]): String = DateUtils.getNotNullStr(newMap("publish_date"),newMap("update_time"))
}
