
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}
import org.apache.commons.lang3.StringUtils

/**
 * @Author: π
 * @Date: 2020/8/11
 * @Description:税收违法
 */

case class company_tax_contravention(equCols: Seq[String]) extends CompanyChangeHandle with Serializable  {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("taxpayer_number"), s"${newMap("taxpayer_number")}税收违法发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("taxpayer_number"), s"新增${newMap("taxpayer_number")}税收违法")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "税收违法", Array("taxpayer_number", "publish_time"))

  override def getBizTime(newMap: Map[String, String]): String = {
    DateUtils.getBizDate(newMap("publish_time"), newMap("update_time"))
  }
}
