
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: XuJiakai
 * @Date: 2020/7/9 16:44
 * @Description:
 */


//商标

case class company_tm(equCols: Seq[String]) extends CompanyChangeHandle {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("tm_name"), s"${newMap("tm_name")}商标发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("tm_name"), s"新增${newMap("tm_name")}商标")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.get_ip_tags("商标", newMap("tm_name"), newMap("app_date"), newMap("reg_no"))

  override def getBizTime(newMap: Map[String, String]): String = {
    DateUtils.getBizDate(newMap("app_date"), newMap("update_time"))
  }
}
