
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: lyb
 * @Date: 2021-01-07
 * @Description:询价
 */

case class zxr_evaluate(equCols: Seq[String]) extends CompanyChangeHandle with Serializable  {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("name"), s"询价评估发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("name"), s"新增询价评估")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "询价评估", Array("case_no","asset_type", "asset_name","insert_time" ))

  override def getBizTime(newMap: Map[String, String]): String = {
    DateUtils.getBizDate(newMap("insert_time"), newMap("update_time"))
  }
}
