package com.winhc.bigdata.spark.jobs.dynamic

import org.apache.spark.internal.Logging

/**
 * @Author: XuJiakai
 * @Date: 2020/7/27 17:05
 * @Description:
 */
trait CompanyDynamicHandle extends Logging {

  //废弃
  private val table_2_sub_info_type_map = Map(
    "CompanyDynamicHandleTest" -> "MyTest"
    , "company" -> "eci_detail" //工商信息
    , "company_land_publicity" -> "land_publicity" //土地公示
    , "company_land_announcement" -> "land_announcement" //土地购买
    , "company_land_transfer" -> "land_transfer" //土地转让
    , "company_land_mortgage" -> "land_mortgage" //土地抵押
    , "company_bid_list" -> "tender_es" //中标信息ES
    , "" -> "enterprise_shixin" //失信
    , "company_dishonest_info" -> "enterprise_zhixing" //被执
    , "" -> "shareholder_shixin" //股东失信
    , "" -> "shareholder_zhixing" //股东被执
    , "" -> "tender_qichacha" //中标信息企查查
    , "company_abnormal_info" -> "eci_exception" //经营异常
    , "" -> "eci_zscq" //知识产权
    , "wenshu_detail_combine" -> "eci_wenshu" //裁判文书
    , "company_court_announcement_list" -> "court_announcement" //法院公告
    , "company_annual_report_out_investment" -> "company_annual_report_out_investment" //对外投资
    , "company_punishment_info" -> "punishment_info" //行政处罚
    , "company_punishment_info_creditchina" -> "punishment_info_creditchina" //行政处罚-信用中国
    , "company_mortgage_info" -> "eci_chattel" //动产抵押
    , "company_env_punishment" -> "env_punishment" //环保处罚
    , "" -> "judicial_assistance" //股权冻结
    , "company_public_announcement2_list" -> "company_public_announcement2_list" //公示催告
    , "company_illegal_info" -> "serious_violation" //严重违法
    , "company_brief_cancel_announcement" -> "company_brief_cancel_announcement" //简易注销
    , "company_equity_info" -> "stock_pledge" //股权出质
    , "company_tax_contravention" -> "tax_illegal" //税收违法
    , "company_own_tax" -> "tax_owenotice" //欠税公告
    , "company_judicial_sale_combine_list" -> "judicial" //司法拍卖
    , "company_employment" -> "recruit" //招聘信息
    , "company_liquidating_info" -> "company_liquidating_info" //清算信息
    , "" -> "investor_equity_change" //大股东变更
    , "" -> "actual_controller_change" //实际控制人变更
    , "company_court_open_announcement_list" -> "court_notice" //开庭公告
    , "bankruptcy_open_case" -> "bankruptcy_open_case" //破产重整
    , "company_stock_announcement" -> "company_stock_announcement" //企业公告
    , "company_send_announcement_list" -> "company_send_announcement_list" //送达公告
    , "company_annual_report_out_guarantee" -> "company_annual_report_out_guarantee" //年报-对外担保
    , "company_zxr_restrict" -> "company_zxr_restrict" //年报-对外担保

    , "company_staff" -> "company_staff" //主要成员
    , "company_finance" -> "company_finance" //融资动态
    , "company_check_info" -> "spot_check" //抽查检查
    , "company_double_random_check_info" -> "company_double_random_check_info" //双随机抽查
    , "company_court_register_list" -> "company_court_register" //立案信息
    , "company_zxr_final_case" -> "company_zxr_final_case" //终本案件
    , "company_license_creditchina" -> "company_license_creditchina" //行政许可-信用中国
    , "company_license_entpub" -> "company_license_entpub" //行政许可-企业公示
    , "company_license" -> "company_license" //行政许可
    , "company_holder" -> "company_holder" //行政许可
  )

  //废弃
  private val table_2_info_type = Map(
    "CompanyDynamicHandleTest" -> "0"
    , "company" -> "1" //工商信息
    , "company_dishonest_info" -> "2" // 企业失信被执
    , "" -> "3" // 企业股东失信被执
    , "company_abnormal_info" -> "4" // 经营异常
    , "" -> "5" // 知识产权
    , "wenshu_detail_combine" -> "6" // 裁判文书
    , "company_court_announcement_list" -> "7" // 法院公告
    , "company_annual_report_out_investment" -> "8" // 对外投资
    , "company_mortgage_info" -> "9" // 动产抵押
    , "company_judicial_sale_combine_list" -> "10" // 司法拍卖
    , "company_land_publicity" -> "11-1" // 土地信息-地块公示
    , "company_land_announcement" -> "11-2" // 土地信息-购地信息
    , "company_land_transfer" -> "11-3" // 土地信息-土地转让
    , "company_land_mortgage" -> "11-4" // 土地信息-土地抵押
    , "company_bid_list" -> "12" // 中标信息
    , "company_employment" -> "13" // 招聘信息
    , "company_punishment_info" -> "14-1" // 行政处罚
    , "company_punishment_info_creditchina" -> "14-2" // 行政处罚-信用中国
    , "company_public_announcement2_list" -> "15" // 公示催告
    , "company_env_punishment" -> "16" // 环保处罚
    , "company_equity_info" -> "17" // 股权出质
    , "company_illegal_info" -> "18" // 严重违法
    , "company_brief_cancel_announcement" -> "19" // 简易注销
    , "company_own_tax" -> "20" // 欠税公告
    , "company_tax_contravention" -> "21" // 税收违法
    , "" -> "22" // 股权冻结
    , "company_liquidating_info" -> "23" // 清算信息
    , "" -> "24" // 大股东变更
    , "" -> "25" // 实际控制人变更
    , "company_court_open_announcement_list" -> "26" // 开庭公告
    , "" -> "27" // 新闻信息
    , "company_holder" -> "28" // 股东信息
    , "" -> "29" // 最终受益人
    , "company_staff" -> "30" // 主要成员
    , "company_finance" -> "31" // 融资动态
    , "company_stock_announcement" -> "32" // 企业公告
    , "company_check_info" -> "33" // 抽查检查
    , "company_license" -> "34-1" // 行政许可
    , "company_license_creditchina" -> "34-2" // 行政许可-信用中国
    , "company_license_entpub" -> "34-3" // 行政许可-企业公示
    , "company_double_random_check_info" -> "35" // 双随机抽查
    , "company_zxr_restrict" -> "36" // 限制高消费
    , "company_zxr_list" -> "37" // 被执行人
    , "company_send_announcement_list" -> "38" // 送达报告
    , "bankruptcy_open_case" -> "39" // 破产重整
    , "company_court_register_list" -> "40" // 立案信息
    , "company_annual_report_out_guarantee" -> "41" // 年报-对外担保
    , "company_zxr_final_case" -> "41" // 终本案件
  )


  //风险等级映射
  private val info_risk_level_map = Map(
    "bankruptcy_open_case" -> "4" //破产公告
    , "company_dishonest_info" -> "4" //企业失信被执情况
    , "" -> "4" //股东失信被执情况
    , "" -> "4" //股权冻结
    , "" -> "4" //司法拍卖
    , "company_liquidating_info" -> "4" //清算信息
    , "company_brief_cancel_announcement" -> "4" //简易注销
    , "company_illegal_info" -> "4" //严重违法
    , "" -> "3" //裁判文书（被告）
    , "" -> "3" //裁判文书（被执行人）
    , "" -> "3" //法院公告（被告/被执行人）
    , "" -> "3" //开庭公告（被告）
    , "" -> "3" //减资
    , "" -> "3" //土地抵押（抵押人）
    , "" -> "3" //动产抵押（抵押人）
    , "" -> "3" //土地转让（转让方）
    , "" -> "3" //股权出质（出质人）
    , "" -> "3" //欠税公告
    , "" -> "3" //税收违法
    , "" -> "3" //行政处罚
    , "" -> "3" //环保处罚
    , "company_abnormal_info" -> "3" //经营异常
    , "" -> "3" //公示催告
    , "" -> "3" //实际控制人变更
    , "" -> "3" //大股东变更
    , "" -> "2" //裁判文书（第三人）
    , "" -> "2" //法院公告（原告/申请人）
    , "" -> "2" //开庭公告（原告）
    , "" -> "2" //工商变更
    , "company_annual_report_out_guarantee" -> "2" //年报对外担保
    , "" -> "2" //退出对外投资
    , "company_employment" -> "2" //招聘
    , "" -> "2" //对外投资企业注销/吊销/经营异常
    , "" -> "2" //分支机构注销/吊销/经营异常
    , "" -> "2" //新闻舆论（中立、消极）
    , "company_staff" -> "2" //主要成员
    , "company_holder" -> "2" //股东信息
    , "company_finance" -> "2" //融资
    , "" -> "1" //增资
    , "" -> "1" //裁判文书（原告）
    , "" -> "1" //裁判文书（申请执行人）
    , "company_annual_report_out_investment" -> "1" //对外投资
    , "" -> "1" //分支机构
    , "" -> "1" //购地信息
    , "" -> "1" //地块公示
    , "" -> "1" //土地转让（受让方）
    , "" -> "1" //土地抵押（作为抵押权人）
    , "" -> "1" //股权出质（作为质权人）
    , "" -> "1" //招投标
    , "" -> "1" //年报信息
    , "" -> "1" //资质证书
    , "" -> "1" //建筑资质
    , "" -> "1" //商标
    , "" -> "1" //专利
    , "" -> "1" //作品著作权
    , "" -> "1" //软件著作权
    , "" -> "1" //招聘信息
    , "" -> "1" //公告研报
    , "" -> "1" //新闻舆论（积极）
  )

  /**
   *
   * @param rowkey
   * @param cid
   * @param change_fields
   * @param old_map
   * @param new_map
   * @return cid
   *         cname
   *         info_type
   *         rta_desc
   *         change_content
   *         change_time
   *         biz_id
   *         sub_info_type
   *         info_risk_level
   *         winhc_suggest
   */
  def handle(rowkey: String, bizDate: String, cid: String, change_fields: Seq[String], old_map: Map[String, String], new_map: Map[String, String], cname: String = null, suggestion: String = null): Seq[(String, String, String, String, String, String, String, String, String, String)] = {
    val rta_desc = get_rta_desc(old_map, new_map)
    if (rta_desc == null) {
      return Seq.empty
    }
    try {
      Seq((cid
        , cname
        , get_info_type()
        , rta_desc
        , get_change_content(old_map, new_map)
        , get_change_time(bizDate, new_map)
        , get_biz_id(rowkey, new_map)
        , get_sub_info_type()
        , get_info_risk_level(old_map, new_map)
        , if (suggestion == null) null else suggestion
      ))
    } catch {
      case e: Exception => {
        logError(e.getMessage, e)
      }
        Seq.empty
    }

  }

  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  def org_type(): Seq[String] = Seq("insert")


  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String

  /**
   * 信息类型，大类
   *
   * @return
   */
  protected def get_info_type(): String = getClass.getSimpleName //table_2_info_type(getClass.getSimpleName)

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String = null): String = null

  /**
   * 变更时间
   *
   * @param new_map
   * @return
   */
  protected def get_change_time(bizDate: String, new_map: Map[String, String]): String = {
    var res = bizDate
    if (bizDate.length == 10) {
      res = res.concat(" 00:00:00")
    }
    res
  }

  /**
   * 业务id
   *
   * @param rowkey
   * @return
   */
  protected def get_biz_id(rowkey: String, new_map: Map[String, String]): String = rowkey

  /**
   * 子信息类型，小类
   *
   * @return
   */
  protected def get_sub_info_type(): String = null //table_2_sub_info_type_map(getClass.getSimpleName)

  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = info_risk_level_map(getClass.getSimpleName)

}

