package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author yyn
 * @Date 2020/8/5
 * @Description
 */
//破产公告
case class bankruptcy_open_case() extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    s"""案号:${new_map("case_no")}
       |被申请人：${new_map("respondent")}
       |申请人：${new_map("applicant")}
       |公开日期：${new_map("public_date")}""".stripMargin
  }
  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "4"
}