package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle
import org.apache.commons.lang3.StringUtils

/**
 * @Author: π
 * @Date: 2020/8/11 17:39
 * @Description: 法院公告
 */
case class company_court_announcement_list() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    s"""案号:${new_map("case_no")}
       |上诉人/原告：${new_map("plaintiff")}
       |被上诉人/被告：${new_map("litigant")}
       |刊登日期：${new_map("publish_date")}""".stripMargin
  }

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
//  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
//    "announcement_type_code->公告类型"
//    , "plaintiff->原告"
//    , "bltn_no->公告号"
//    , "court_name->法院名"
//    , "deal_grade->处理等级名称"
//    , "litigant->当事人"
//    , "judge->法官"
//    , "province->省份"
//    , "judge_phone->法官电话"
//    , "case_no->案件号"
//    , "content->案件内容"
//    , "publish_page->刊登版面"
//    , "publish_date->刊登日期"
//  ))

  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = {
    val oldcname = new_map("cname")
    val litigant = new_map("litigant")
    if (StringUtils.isNotBlank(oldcname)) {
      if (oldcname.contains(litigant)) {
        return "3"
      }
    }
    "2"
  }
}
