package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle
import org.apache.commons.lang3.StringUtils

/**
 * @Author: π
 * @Date: 2020/8/11 17:39
 * @Description: 开庭公告
 */
case class company_court_open_announcement_list() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {

    s"""开庭时间：${new_map("start_date")}
       |案号：${new_map("case_no")}
       |案由：${new_map("case_reason")}""".stripMargin
  }

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
//  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
//    "case_reason->案由"
//    , "case_no->案号"
//    , "start_date->开庭时间"
//    , "area->地区"
//    , "plan_date->排期日期"
//    , "judge->审判长/主审人"
//    , "litigant->当事人"
//    , "court->法院"
//    , "court_room->法庭"
//    , "content->公告内容"
//  ))

  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = {
    val oldcname = new_map("cname")
    val defendant = new_map("defendant")//被告
    if (StringUtils.isNotBlank(oldcname)) {
      if (oldcname.contains(defendant)) {
        return "3"
      }
    }
    "2"
  }
}
