package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle
import org.apache.commons.lang3.StringUtils

/**
 * @Author: π
 * @Date: 2020/8/11 17:39
 * @Description: 立案信息
 */
case class company_court_register_list() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {

    s"""立案日期：${new_map("filing_date")}
       |上诉人：${new_map("plaintiff")}
       |被上诉人：${new_map("defendant")}""".stripMargin
  }

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
//  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = new_map.toJson(Seq(
//    "case_reason->案由"
//    ,"case_no->案号"
//    ,"filing_date->立案日期"
//    ,"start_time->开庭时间"
//    ,"department->承办部门"
//    ,"court->法院"
//    ,"judge->承办法官"
//    ,"assistant->法官助理"
//    ,"case_type->案件类型"
//    ,"case_status->案件状态"
//    ,"plaintiff->上诉人"
//    ,"defendant->被上诉人"
//    ,"third->第三人"
//  ))

  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = {
    val oldcname = new_map("cname")
    val defendant = new_map("defendant")
    if (StringUtils.isNotBlank(oldcname)) {
      if (oldcname.contains(defendant)) {
        return "3"
      }
    }
    "2"
  }
}
