package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author: XuJiakai
 * @Date: 2020/8/19 14:15
 * @Description: 股东
 */
case class company_holder() extends CompanyDynamicHandle {


  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert", "update")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    if (old_map == null) {
      "新增股东"
    } else {
      "股东出资发生变化"
    }
  }

  /*
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String): String = {
    var out = Map(
      "after" -> new_map("percent")
      , "holder_id" -> new_map("holder_id")
      , "holder_type" -> new_map("holder_type")
    )
    if (old_map == null) {
      out = out ++ Map(
        "type" -> "insert"
      )
    } else {
      out = out ++ Map(
        "type" -> "update"
        , "before" -> old_map("percent")
      )
    }
    import com.winhc.bigdata.spark.implicits.MapHelper._
    val keys = out.keys.toSeq
    out.toJson(keys)
  }
}
