package com.winhc.bigdata.spark.jobs.dynamic.tables

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

/**
 * @Author yyn
 * @Date 2020/8/6
 * @Description
 */
//公示催告
case class company_public_announcement2_list()extends CompanyDynamicHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    s"""票号:${new_map("bill_num")}
       |申请人：${new_map("cname")}
       |票面金额：${new_map("bill_amt")}元
       |公告日期：${new_map("publish_date")}""".stripMargin
  }
  /**
   * 变更时间
   *
   * @param new_map
   * @return
   */
//  override def get_change_time(new_map: Map[String, String]): String = new_map("biz_date")

  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "2"
  /**
   *
   * @param rowkey
   * @param cid
   * @param change_fields
   * @param old_map
   * @param new_map
   * @return cid
   *         cname
   *         info_type
   *         rta_desc
   *         change_content
   *         change_time
   *         biz_id
   *         sub_info_type
   *         info_risk_level
   *         winhc_suggest
   */
  override def handle(rowkey: String, bizDate: String, cid: String, change_fields: Seq[String], old_map: Map[String, String], new_map: Map[String, String], cname: String, suggestion: String): Seq[(String, String, String, String, String, String, String, String, String, String)] = {
    val cid = new_map("cid")
    val applicant_cid = new_map("applicant_cid")
    if (cid != null && !cid.isEmpty && applicant_cid !=null && cid.equals(applicant_cid)) {//目前参照企查查做法：公示催告维度显示全部角色，而动态仅显示申请人
      null
    }
    else {
      super.handle(rowkey, bizDate, cid, change_fields, old_map, new_map, cname, "该企业发布公示催告信息")
    }
  }
}