INSERT OVERWRITE TABLE winhc_eci_dev.ads_company_land_transfer PARTITION (ds='20200604')
SELECT --只有有现土地使用权人
    CONCAT_WS("_",new_cid,id) AS rowkey,
--    NVL(B.new_cid,A.pre_cid)   AS pre_cid ,--没有原土地使用权人
    NVL(B.new_cid,A.now_cid)   AS new_cid,
    A.now_cid AS cid,
    'now' AS  type,
    id                      ,
    mark               ,
    num                ,
    location           ,
    aministrative_area ,
    user_pre           ,
    user_now           ,
    area               ,
    use_for            ,
    use_type           ,
    years_of_use       ,
    situation          ,
    level              ,
    merchandise_type   ,
    merchandise_price  ,
    merchandise_time,
    url                ,
    create_time,
    update_time,
    deleted
FROM winhc_eci_dev.ods_company_land_transfer AS A
LEFT JOIN winhc_eci_dev.company_map AS B
ON A.now_cid=B.cid
WHERE A.ds='20200604'
AND A.pre_cid is NULL--没有原土地使用权人
AND A.now_cid is NOT NULL--但有现土地使用权人
UNION --只有原土地使用权人
SELECT
    CONCAT_WS("_",new_cid,id) AS rowkey,
    NVL(B.new_cid,A.pre_cid)   AS new_cid ,
    A.pre_cid AS cid,
--    NVL(B.new_cid,A.now_cid)   AS cid,--没有现土地使用权人
    'pre' AS  type,
    id                     ,
    mark               ,
    num                ,
    location           ,
    aministrative_area ,
    user_pre           ,
    user_now           ,
    area               ,
    use_for            ,
    use_type           ,
    years_of_use       ,
    situation          ,
    level              ,
    merchandise_type   ,
    merchandise_price  ,
    merchandise_time,
    url                ,
    create_time,
    update_time,
    deleted
FROM winhc_eci_dev.ods_company_land_transfer AS A
LEFT JOIN winhc_eci_dev.company_map AS B
ON A.pre_cid=B.cid
WHERE A.ds='20200604'
AND A.pre_cid is NOT NULL--但原土地使用权人
AND A.now_cid is NULL--没有现土地使用权人
UNION--原土地使用权人与现土地使用权人为同一人或企业（cid)
SELECT
    CONCAT_WS("_",new_cid,id) AS rowkey,
    NVL(B.new_cid,A.pre_cid)   AS new_cid ,
    A.pre_cid AS cid,
--    NVL(B.new_cid,A.now_cid)   AS cid,--与pre_cid相同
    'bothsame' AS  type,
    id                     ,
    mark               ,
    num                ,
    location           ,
    aministrative_area ,
    user_pre           ,
    user_now           ,
    area               ,
    use_for            ,
    use_type           ,
    years_of_use       ,
    situation          ,
    level              ,
    merchandise_type   ,
    merchandise_price  ,
    merchandise_time,
    url                ,
    create_time,
    update_time,
    deleted
FROM winhc_eci_dev.ods_company_land_transfer AS A
LEFT JOIN winhc_eci_dev.company_map AS B
ON A.pre_cid=B.cid
WHERE A.ds='20200604'
AND A.pre_cid is NOT NULL AND A.pre_cid=A.now_cid--原土地使用权人与现土地使用权人相同
UNION--原土地使用权人与现土地使用权人都有但不为同一人或企业(cid)，拆成二条的第一条（抵押人）
SELECT
    CONCAT_WS("_",new_cid,id) AS rowkey,
    NVL(B.new_cid,A.pre_cid)   AS new_cid ,--一分为二的第一条
    A.pre_cid AS cid,
--    NVL(B.new_cid,A.now_cid)   AS cid,
    'bothone' AS  type,
    id                      ,
    mark               ,
    num                ,
    location           ,
    aministrative_area ,
    user_pre           ,
    user_now           ,
    area               ,
    use_for            ,
    use_type           ,
    years_of_use       ,
    situation          ,
    level              ,
    merchandise_type   ,
    merchandise_price  ,
    merchandise_time,
    url                ,
    create_time,
    update_time,
    deleted
FROM winhc_eci_dev.ods_company_land_transfer AS A
LEFT JOIN winhc_eci_dev.company_map AS B
ON A.pre_cid=B.cid
WHERE A.ds='20200604'
AND A.pre_cid is NOT NULL AND A.now_cid is NOT NULL AND A.pre_cid!=A.now_cid--抵押人、抵押权人都有但不相同
UNION--原土地使用权人与现土地使用权人都有但不为同一人或企业(cid)，拆成二条的第二条（抵押权人）
SELECT
    CONCAT_WS("_",new_cid,id) AS rowkey,
--    NVL(B.new_cid,A.pre_cid)   AS cid ,
    NVL(B.new_cid,A.now_cid)   AS new_cid,--一分为二的第二条
    A.now_cid AS cid,
    'bothtwo' AS  type,
    id                      ,
    mark               ,
    num                ,
    location           ,
    aministrative_area ,
    user_pre           ,
    user_now           ,
    area               ,
    use_for            ,
    use_type           ,
    years_of_use       ,
    situation          ,
    level              ,
    merchandise_type   ,
    merchandise_price  ,
    merchandise_time,
    url                ,
    create_time,
    update_time,
    deleted
FROM winhc_eci_dev.ods_company_land_transfer AS A
LEFT JOIN winhc_eci_dev.company_map AS B
ON A.now_cid=B.cid
WHERE A.ds='20200604'
AND A.pre_cid is NOT NULL AND A.now_cid is NOT NULL AND A.pre_cid!=A.now_cid--抵押人、抵押权人都有但不相同
;