package com.winhc.bigdata.spark.jobs.monitor.alldata.change

import com.winhc.bigdata.spark.utils.BaseUtil.cleanup
import org.apache.commons.lang3.StringUtils
import org.apache.spark.internal.Logging

import scala.annotation.meta.{getter, setter}

/**
 * @Author: XuJiakai
 * @Date: 2020/7/9 16:44
 * @Description:
 */

trait CompanyChangeHandle1 extends Serializable with Logging {
  @getter
  @setter
  protected val equCols: Seq[String]

  /**
   *
   * @param rowkey
   * @param oldMap
   * @param newMap
   * @return rowkey,cid,类型【insert or update】,新数据，更新字段，更新标题，变更标签【1.一般变更，2.风险变更 ...】,业务时间
   */
  def handle(rowkey: String, oldMap: Map[String, String], newMap: Map[String, String]): (String, String, String, Map[String, String], String, String, String, String, Map[String, String]) = {
    if(getBizTime(newMap)==null){
      return null
    }
    if (oldMap == null) {
      (rowkey, getCid(rowkey, newMap), "insert", newMap, null, getInsertTitle(newMap), getLabel(oldMap, newMap), getBizTime(newMap), null)
    } else {
      val t = getEquAndFields(oldMap, newMap)
      if (t._1) {
        null
      } else {
        (rowkey, getCid(rowkey, newMap), "update", newMap,
          t._2
          , getUpdateTitle(newMap), getLabel(oldMap, newMap), getBizTime(newMap), oldMap)
      }
    }
  }

  def getCid(rowkey: String, newMap: Map[String, String]): String = rowkey.split("_")(0)

  def getUpdateTitle(newMap: Map[String, String]): String

  def getInsertTitle(newMap: Map[String, String]): String

  def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String

  def getBizTime(newMap: Map[String, String]): String

  def getEquAndFields(oldMap: Map[String, String], newMap: Map[String, String]): (Boolean, String) = {
    val tmp = equCols.map(f => {
      (f, cleanup(newMap(f)).equals(cleanup(oldMap(f))))
    })
    val eq = tmp.map(_._2).reduce((a1, a2) => a1 && a2)
    if (eq) {
      (true, null)
    } else {
      (eq, tmp.filter(!_._2).map(_._1).mkString(","))
    }
  }


  protected def getValueOrNull(value: String, callBack: String): String = {
    if (StringUtils.isNotBlank(value)) {
      callBack
    } else {
      null
    }
  }

  def getCondition():String ={
    ""
  }
}