
package com.winhc.bigdata.spark.jobs.monitor.alldata.change.tables

import com.winhc.bigdata.spark.jobs.monitor.alldata.change.CompanyChangeHandle1
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: π
 * @Date: 2020/8/11
 * @Description:司法拍卖
 */

case class auction_tracking_list(equCols: Seq[String]) extends CompanyChangeHandle1 with Serializable {
  override def getUpdateTitle(newMap: Map[String, String]): String = s"司法拍卖发生变更"

  override def getInsertTitle(newMap: Map[String, String]): String = s"新增司法拍卖"

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "司法拍卖", Array("auction_items_id"))

  override def getBizTime(newMap: Map[String, String]): String = {
    DateUtils.getBizDate(newMap("end_time"), newMap("update_time"))
  }


}
