
package com.winhc.bigdata.spark.jobs.monitor.alldata.change.tables

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.jobs.monitor.alldata.change.CompanyChangeHandle1
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: π
 * @Date: 2020/8/11
 * @Description:开庭公告
 */

case class company_court_open_announcement_list(equCols: Seq[String]) extends CompanyChangeHandle1 with Serializable  {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("case_no"), s"${newMap("case_no")}开庭公告发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("case_no"), s"新增${newMap("case_no")}开庭公告")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "开庭公告", Array("case_no", "start_date"))

  override def getBizTime(newMap: Map[String, String]): String ={
    DateUtils.getBizDate(newMap("start_date"), newMap("update_time"))
  }

  override def getCondition(): String = {

    " AND start_date >= '2020-01-01'"
  }

}
