package com.winhc.bigdata.spark.jobs.monitor.alldata.change.tables

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.jobs.monitor.alldata.change.CompanyChangeHandle1
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: XuJiakai
 * @Date: 2020/8/12 18:50
 * @Description: 企业失信被执
 */
case class company_dishonest_info(equCols: Seq[String]) extends CompanyChangeHandle1 {
  override def getUpdateTitle(newMap: Map[String, String]): String = "企业失信被执发生变化"

  override def getInsertTitle(newMap: Map[String, String]): String = s"新增1条企业失信信息:${newMap.getOrElse("court","")}"

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "企业失信被执", Array("name", "case_no", "court", "gist_dd", "gist_unit"))

  override def getBizTime(newMap: Map[String, String]): String = DateUtils.getNotNullStr(newMap("pub_date"),newMap("reg_time"),newMap("appro_time"),newMap("update_time"))

  override def getCondition(): String = {

    " AND status =1"
  }
}
