package com.winhc.bigdata.spark.jobs.monitor.alldata.change.tables

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.jobs.monitor.alldata.change.CompanyChangeHandle1
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: XuJiakai
 * @Date: 2020/8/12 17:42
 * @Description: 融资历史
 */
case class company_finance(equCols: Seq[String]) extends CompanyChangeHandle1 {
  override def getUpdateTitle(newMap: Map[String, String]): String = "融资历史发生变化"

  override def getInsertTitle(newMap: Map[String, String]): String = s"获得了${newMap.getOrElse("round", "")}融资，由${newMap.getOrElse("inverstors", "")}投资"

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "融资历史", Array("company_name", "finance_time", "money", "round", "inverstors"))

  override def getBizTime(newMap: Map[String, String]): String = newMap("report_date")
}
