
package com.winhc.bigdata.spark.jobs.monitor.alldata.change.tables

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.jobs.monitor.alldata.change.CompanyChangeHandle1
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: Yan Yongnian
 * @Date: 2020/8/4
 * @Description:
 */


//购地信息

case class company_land_announcement(equCols: Seq[String]) extends CompanyChangeHandle1 {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("project_name"), s"${newMap("project_name")}购地信息发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("project_name"), s"新增${newMap("project_name")}购地信息")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "购地信息", Array("project_name", "project_loc", "area", "tran_price", "e_number"))

  override def getBizTime(newMap: Map[String, String]): String = DateUtils.getNotNullStr(newMap("actual_start_time"),newMap("update_time"))

  override def getCondition(): String = {

    " AND contract_date >= '2018-01-01'"
  }
}
