
package com.winhc.bigdata.spark.jobs.monitor.alldata.change.tables

import com.winhc.bigdata.spark.jobs.monitor.alldata.change.CompanyChangeHandle1
import com.winhc.bigdata.spark.utils.{ChangeExtractUtils, DateUtils}

/**
 * @Author: π
 * @Date: 2020/8/11
 * @Description:增资记录
 */

case class increase_registered_capital_info(equCols: Seq[String]) extends CompanyChangeHandle1 with Serializable  {
  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("change_item"), s"注册资本发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("change_item"), s"增资记录")

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = ChangeExtractUtils.getTags(newMap, "增资记录", Array("change_item","change_time"))

  override def getBizTime(newMap: Map[String, String]): String = {
    DateUtils.getBizDate(newMap("change_time"), newMap("update_time"))
  }
}
