package com.winhc.bigdata.spark.jobs.monitor.alldata.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 股东
 */
case class company_holder_v2() extends CompanyMonitorHandle {

  /**
   * 来源表的变更类型，insert or update
   *
   * @return
   */
  override def org_type(): Seq[String] = Seq("insert", "update")

  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   * cid
   * cname
   * table_type
   * flow_type
   * rta_desc
   * change_time
   * biz_id
   * info_risk_level
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""|认缴金额：${new_map("amount")}
        |认缴出资时间：${new_map("update_time")}""".stripMargin

  override def handle(rowkey: String, bizDate: String, cid: String, change_fields: Seq[String], old_map: Map[String, String], new_map: Map[String, String], cname: String = null): Seq[(String, String, String, String, String, String, String, String, String, String)] = {
    val rta_desc = get_rta_desc(old_map, new_map)
    if (rta_desc == null) {
      return Seq.empty
    }

    try {
      var flag = false
      if (change_fields == null) {
        flag = true
      }
      Seq((cid
        , cname
        //, if (flag) "company_holder_add" else "company_holder_deleted"
        , if (flag) "10" else "10"
        , if (flag) "2" else "1"
        , rta_desc
        , get_change_time(bizDate, new_map)
        , get_biz_id(rowkey, new_map)
        , if (flag) "2" else "1"
        , if (flag) "10" else "11"
        , getMoney(new_map)
      ))
    } catch {
      case e: Exception => {
        logError(e.getMessage, e)
      }
        Seq.empty
    }
  }


  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("amount")
    amtstr = processMoney(amtstr)
    amtstr
  }

}
