package com.winhc.bigdata.spark.jobs.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 有恢复执行案件即将开庭
 */
case class company_court_open_announcement_list() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = {
    s"""上诉人/原告：${new_map("plaintiff")}
       |被上诉人/被告：${new_map("defendant")}
       |案号：${new_map("case_no")}
       |案由：${new_map("case_reason")}""".stripMargin
  }

  override def get_conditional_filter(): String = {
    "AND  data['case_no'] like concat('%','恢','%')"
  }


}
