package com.winhc.bigdata.spark.jobs.monitor.tables

import com.winhc.bigdata.spark.jobs.monitor.CompanyMonitorHandle

/**
 * @Date: 2020/8/12 18:50
 * @Description: 土地抵押-抵押权人
 */
case class company_land_mortgage_v2() extends CompanyMonitorHandle {
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String =
    s"""所在行政区：${new_map("land_aministrative_area")}
       |土地面积(公顷)：${new_map("land_area")}
       |抵押面积(公顷)：${new_map("area")}
       |评估金额(万元)：${new_map("evaluate_amount")}
       |抵押金额(万元)：${new_map("mortgage_amount")}""".stripMargin


  override def get_conditional_filter(): String = {
    "AND  data['type'] in ('bothtwo','mortgagee') "
  }

  override protected def getMoney(new_map: Map[String, String]): String = {

    var amtstr = new_map("mortgage_amount")
    amtstr = processMoney(amtstr)
    amtstr
  }
}
