package com.winhc.bigdata.spark.ng.change

/**
 * @author: XuJiakai
 * @date: 2021/6/1 16:46
 */
case class NgChangeExtractArgs(project: String = "winhc_ng"
                               , tableName: String
                               , primaryKey: String = "rowkey"
                               , primaryFields: String = null
                               , newlyRegister: Boolean = false
                              )


object NgChangeExtractArgs {
  val startArgs: Seq[NgChangeExtractArgs] =
    Seq(
      NgChangeExtractArgs(tableName = "company_holder", primaryFields = "holder_id,percent,amount,deleted", newlyRegister = true)
      , NgChangeExtractArgs(tableName = "company_staff", primaryFields = "staff_type,hid,deleted", newlyRegister = true)
      , NgChangeExtractArgs(tableName = "company", primaryKey = "company_id", primaryFields = "name,cate_third_code,county_code,reg_capital_amount,legal_entity_name,legal_entity_id,reg_capital,reg_location,business_scope,reg_status_std")
      , NgChangeExtractArgs(tableName = "company_tm", primaryFields = "status")
      , NgChangeExtractArgs(tableName = "company_icp", primaryFields = "domain")


      ,NgChangeExtractArgs(tableName = "auction_tracking")    //司法拍卖
      ,NgChangeExtractArgs(tableName = "bankruptcy_open_case")    //破产信息
      ,NgChangeExtractArgs(tableName = "company_abnormal_info")    //经营异常
      ,NgChangeExtractArgs(tableName = "company_brief_cancel_announcement")    //简易注销
      ,NgChangeExtractArgs(tableName = "company_certificate")    //资质证书
      ,NgChangeExtractArgs(tableName = "company_check_info")    //抽查检查
      ,NgChangeExtractArgs(tableName = "company_copyright_reg")    //知识产权-软件著作权
      ,NgChangeExtractArgs(tableName = "company_copyright_works")    //知识产权-作品著作权
      ,NgChangeExtractArgs(tableName = "company_court_announcement",primaryFields = "plaintiff_info,litigant_info")    //法院公告
      ,NgChangeExtractArgs(tableName = "company_court_open_announcement",primaryFields = "defendant_info,plaintiff_info")    //开庭公告
      ,NgChangeExtractArgs(tableName = "company_court_register",primaryFields = "plaintiff_info,defendant_info")    //立案信息
      ,NgChangeExtractArgs(tableName = "company_dishonest_info",primaryFields = "keyno")    //失信
      ,NgChangeExtractArgs(tableName = "company_double_random_check_info")    //双随机抽查
      ,NgChangeExtractArgs(tableName = "company_env_punishment")    //环保处罚
      ,NgChangeExtractArgs(tableName = "company_equity_info",primaryFields = "pledgor_info,pledgee_info")    //股权出质
      ,NgChangeExtractArgs(tableName = "company_equity_pledge_holder",primaryFields = "holder_id")    //股权质押
      ,NgChangeExtractArgs(tableName = "company_finance")    //融资信息
      ,NgChangeExtractArgs(tableName = "company_illegal_info")    //严重违法
      ,NgChangeExtractArgs(tableName = "company_judicial_assistance",primaryFields = "executed_person_id")    //司法协助（股权冻结）
      ,NgChangeExtractArgs(tableName = "company_land_announcement")    //购地信息
      ,NgChangeExtractArgs(tableName = "company_land_mortgage")    //土地抵押
      ,NgChangeExtractArgs(tableName = "company_land_publicity")    //地块公示
      ,NgChangeExtractArgs(tableName = "company_land_transfer",primaryFields = "now_keyno,pre_keyno")    //土地转让

//      ,NgChangeExtractArgs(tableName = "company_lawsuit",primaryFields = "defendant_info,plaintiff_info")    //裁判文书
      ,NgChangeExtractArgs(tableName = "wenshu_detail_v2",primaryFields = "defendant_info,plaintiff_info")    //裁判文书

      ,NgChangeExtractArgs(tableName = "company_license")    //行政许可
      ,NgChangeExtractArgs(tableName = "company_license_creditchina")    //行政许可
      ,NgChangeExtractArgs(tableName = "company_license_entpub")    //行政许可
      ,NgChangeExtractArgs(tableName = "company_mortgage_info")    //动产抵押-主表
      ,NgChangeExtractArgs(tableName = "company_mortgage_people")    //动产抵押-人
      ,NgChangeExtractArgs(tableName = "company_own_tax")    //欠税公告
      ,NgChangeExtractArgs(tableName = "company_patent")    //专利信息
      ,NgChangeExtractArgs(tableName = "company_public_announcement")    //公示催告
      ,NgChangeExtractArgs(tableName = "company_punishment_info")    //行政处罚
      ,NgChangeExtractArgs(tableName = "company_punishment_info_creditchina")    //行政处罚-信用中国
      ,NgChangeExtractArgs(tableName = "company_send_announcement",primaryFields = "plaintiff_info,plaintiff_info")    //送达公告
      ,NgChangeExtractArgs(tableName = "company_tax_contravention")    //税收违法
      ,NgChangeExtractArgs(tableName = "company_zxr",primaryFields = "keyno")    //被执行人
      ,NgChangeExtractArgs(tableName = "company_zxr_final_case",primaryFields = "keyno")    //终本案件
      ,NgChangeExtractArgs(tableName = "company_zxr_restrict",primaryFields = "pid")    //限高
      ,NgChangeExtractArgs(tableName = "restrictions_on_exit",primaryFields = "executed_person_keyno,limited_person_pid")    //限制出镜
      ,NgChangeExtractArgs(tableName = "zxr_evaluate_results",primaryFields = "keyno")    //询价评估结果
    )


/*
  ++ Seq(
      "auction_tracking"
      , "company_abnormal_info"
      , "company_court_announcement"
      , "company_court_open_announcement"
      , "company_court_register"
      , "company_env_punishment"
      , "company_illegal_info"
      , "company_own_tax"
      , "company_punishment_info"
      , "company_punishment_info_creditchina"
      , "company_send_announcement"
      , "company_tax_contravention"
      , "zxr_evaluate_results"

      , "company_check_info"
      , "company_double_random_check_info"
      , "company_finance"
      , "company_license"
      , "company_license_creditchina"
      , "company_license_entpub"


      , "bankruptcy_open_case"
      , "company_brief_cancel_announcement"
      , "company_dishonest_info"
      , "company_public_announcement"
      , "company_zxr"
      , "company_zxr_final_case"
      , "company_zxr_restrict"
      , "restrictions_on_exit"

      , "company_land_announcement"
      , "company_land_publicity"
      , "company_land_transfer"


      , "company_equity_info"
      , "company_equity_pledge_holder"
      , "company_judicial_assistance"
      , "company_land_mortgage"

      , "company_lawsuit"

      , "company_mortgage_info"
      , "company_mortgage_people"


      //intellectual
      , "company_patent"
      , "company_copyright_reg"
      , "company_copyright_works"
      , "company_certificate"

    ).map(r => NgChangeExtractArgs(tableName = r))*/
}
