package com.winhc.bigdata.spark.ng.credit_punishment

import com.winhc.bigdata.spark.config.EsConfig
import com.winhc.bigdata.spark.utils.{BaseUtil, SparkUtils}

import scala.collection.mutable

/**
 * @author: XuJiakai
 * @date: 2021/5/8 10:41
 *        信用惩戒
 */
object CreditPunishment {
  val extractionTargetTab = "winhc_ng.bds_credit_punishment_data_extraction"
  val caseTargetTab = "winhc_ng.bds_credit_punishment_case_info"
  val entityTargetTab = "winhc_ng.bds_credit_punishment_entity_info"
  val entityRemoveTargetTab = "winhc_ng.bds_credit_punishment_entity_info_remove"


  def main(args: Array[String]): Unit = {
    val project = "winhc_ng"
    val config = EsConfig.getEsConfigMap ++ mutable.Map(
      "spark.hadoop.odps.project.name" -> project,
      "spark.debug.maxToStringFields" -> "200",
      "spark.hadoop.odps.spark.local.partition.amt" -> "100"
    )
    val spark = SparkUtils.InitEnv(this.getClass.getSimpleName + ":step.01", config)

//        val ds = "20210519"
    val ds = BaseUtil.getYesterday()

    CreditPunishmentDataExtraction(spark).calc()
    CreditPunishmentCaseAgg(spark).calc(ds)
    CreditPunishmentEntityAgg(spark).calc(ds)
    CreditPunishmentEntityRemove(spark).calc(ds)

    spark.stop()
  }
}
