package com.winhc.bigdata.spark.ng.dynamic

import org.apache.spark.internal.Logging

/**
 * @author: XuJiakai
 * @date: 2021/6/23 13:53
 */
trait AcrossTabAggHandle extends Serializable with Logging {

  /**
   * 需要聚合的维度
   *
   * @return
   */
  def getTables: Seq[String]

  /**
   * group_by前置处理程。flat_map
   *
   * @return
   */
  def group_by_pre: (CompanyDynamicRecord) => Seq[CompanyDynamicRecord] = null

  /**
   * 聚合的key，相同的key会聚合到一起
   *
   * @return
   */
  def group_by_key: (CompanyDynamicRecord) => String

  /**
   * 聚合处理程序  flat_map
   *
   * @return
   */
  def group_by_flat_map: (Seq[CompanyDynamicRecord]) => Seq[CompanyDynamicRecord]
}
