package com.winhc.bigdata.spark.ng.dynamic

import com.winhc.bigdata.spark.ng.dynamic.utils.CompanyDynamicUtils
import com.winhc.bigdata.spark.utils.ReflectUtils

/**
 * @author: XuJiakai
 * @date: 2021/6/22 13:58
 */
case class NgCompanyDynamicArgs(
                                 tn: String
                                 , flat_map: (ChangeExtract) => Seq[CompanyDynamicRecord]
                                 , filter: (String, String, Seq[String], Map[String, String], Map[String, String]) => Boolean = CompanyDynamicUtils.default_filter
                                 , group_by_pre: (CompanyDynamicRecord) => Seq[CompanyDynamicRecord]
                                 , group_by_key: (CompanyDynamicRecord) => String = null
                                 , group_by_flat_map: (Seq[CompanyDynamicRecord]) => Seq[CompanyDynamicRecord] = null //group by key:
                               ) {
  override def toString: String = {
    s"tn=$tn $flat_map,$filter,$group_by_key,$group_by_flat_map"
  }
}

case class NgAcrossTabAggArgs(tabs: Seq[String]
                              , group_by_pre: (CompanyDynamicRecord) => Seq[CompanyDynamicRecord]
                              , group_by_key: (CompanyDynamicRecord) => String
                              , group_by_flat_map: (Seq[CompanyDynamicRecord]) => Seq[CompanyDynamicRecord])

object NgCompanyDynamicArgs {

  def getStartArgs(is_inc:Boolean = true): Seq[NgCompanyDynamicArgs] = {
    val handles = ReflectUtils.subObject[NgCompanyDynamicHandle](classOf[NgCompanyDynamicHandle], this.getClass.getPackage.getName,is_inc)
    handles.map(ch => {
      val tn: String = ch.getClass.getSimpleName
      NgCompanyDynamicArgs(tn = tn, flat_map = ch.flat_map, group_by_pre = ch.group_by_pre, group_by_key = ch.group_by_key, group_by_flat_map = ch.group_by_flat_map, filter = ch.filter)
    })
  }

  def getAggArgs: Seq[NgAcrossTabAggArgs] = {
    val handles = ReflectUtils.subObject[AcrossTabAggHandle](classOf[AcrossTabAggHandle], this.getClass.getPackage.getName)
    handles.map(ch => {
      NgAcrossTabAggArgs(tabs = ch.getTables, group_by_pre = ch.group_by_pre, group_by_key = ch.group_by_key, group_by_flat_map = ch.group_by_flat_map)
    })
  }

  def main(args: Array[String]): Unit = {
//    val handles = ReflectUtils.subObject[NgCompanyDynamicHandle](classOf[NgCompanyDynamicHandle], this.getClass.getPackage.getName)
//    val orNull1 = handles.find(_.getClass.getSimpleName.contains("auction_tracking")).get
//    val args1 = getStartArgs()
//    val orNull = args1.find(_.tn.equals("auction_tracking")).orNull
//    orNull.flat_map.apply(null)
//    val args2 = getAggArgs
//    println(args2(0).group_by_key.apply(null))
  }
}
