

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.utils.{DailyAggHandle, SimpleDailyDynamic}
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

import scala.collection.mutable

/**
 * @author: XuJiakai
 * @date: 2021/6/29 15:07
 */
case class auction_tracking(is_inc:Boolean) extends DailyAggHandle with SimpleDailyDynamic {


  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    try {
      var list: mutable.Seq[AssociationEntityInfo] = mutable.Seq.empty
      val company_info = new_data.getOrEmptyStr("company_info")
      list = list ++ getEntity(company_info, "company_id", "company_name", NgCompanyRiskLevelType.Caution, null)
      list
    } catch {
      case e: Exception => {
        logError(e.getMessage, e)
        Seq.empty
      }
    }
  }
}

