

package com.winhc.bigdata.spark.ng.dynamic.handle
import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.utils.{ComplexDailyDynamic, DailyAggHandle}
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

import scala.collection.mutable

/**
 * @author: XuJiakai
 * @date: 2021/6/29 15:07
 */
case class company_court_announcement(is_inc:Boolean) extends DailyAggHandle with ComplexDailyDynamic{


  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    try {
      var list: mutable.Seq[AssociationEntityInfo] = mutable.Seq.empty
      val defendant_info = new_data.getOrEmptyStr("litigant_info")
      list = list ++ getEntity(defendant_info, "litigant_id", "name", NgCompanyRiskLevelType.Caution, "当事人")

      val plaintiff_info = new_data.getOrEmptyStr("plaintiff_info")
      list = list ++ getEntity(plaintiff_info, "litigant_id", "name", NgCompanyRiskLevelType.Caution, "当事人")
      list.distinct
    } catch {
      case e: Exception => {
        logError(e.getMessage, e)
        Seq.empty
      }
    }
  }
}

