package com.winhc.bigdata.spark.ng.dynamic.handle
import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}
import com.winhc.bigdata.spark.ng.dynamic.utils.{DailyAggHandle, SimpleDailyDynamic}

/**
 * @author: XuJiakai
 * @date: 2021/7/29 14:25
 */
case class company_equity_pledge_holder(is_inc: Boolean) extends DailyAggHandle with SimpleDailyDynamic {
  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    Seq(
      AssociationEntityInfo(keyno = new_data.getOrEmptyStr("holder_id")
        , name = new_data.getOrEmptyStr("holder_name")
        , risk_level = NgCompanyRiskLevelType.Caution, "质押人")
      ,AssociationEntityInfo(keyno = new_data.getOrEmptyStr("company_id")
        , name = new_data.getOrEmptyStr("company_name")
        , risk_level = NgCompanyRiskLevelType.Prompt, "质押人参股企业")
    )
  }
}
