

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.utils.{ComplexDailyDynamic, DailyAggHandle}
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

/**
 * @author: XuJiakai
 * @date: 2021/7/13 15:07
 *        股权冻结
 */
case class company_judicial_assistance(is_inc:Boolean) extends DailyAggHandle with ComplexDailyDynamic {

  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    Seq(
      AssociationEntityInfo(keyno = new_data.getOrEmptyStr("executed_person_id")
        , name = new_data.getOrEmptyStr("executed_person")
        , risk_level = NgCompanyRiskLevelType.Caution, null)
      ,AssociationEntityInfo(keyno = new_data.getOrEmptyStr("company_id")
        , name = new_data.getOrEmptyStr("company_name")
        , risk_level = NgCompanyRiskLevelType.Prompt, null)
    )
  }
}

