

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.utils.{DailyAggHandle, SimpleDailyDynamic}
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

/**
 * @author: XuJiakai
 * @date: 2021/7/13 15:07
 *        土地转让
 */
case class company_land_transfer(is_inc:Boolean) extends DailyAggHandle with SimpleDailyDynamic {


  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    Seq(
      AssociationEntityInfo(keyno = new_data.getOrEmptyStr("pre_keyno")
        , name = new_data.getOrEmptyStr("user_pre")
        , risk_level = NgCompanyRiskLevelType.Prompt, "原土地使用权人")
      , AssociationEntityInfo(keyno = new_data.getOrEmptyStr("now_keyno")
        , name = new_data.getOrEmptyStr("user_now")
        , risk_level = NgCompanyRiskLevelType.Positive, "现土地使用权人")
    )

  }
}

