package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, ChangeExtract, CompanyDynamicRecord, NgCompanyDynamicHandle, NgCompanyRiskLevelType}
import com.winhc.bigdata.spark.implicits.MapHelper._
import scala.collection.mutable

/**
 * @author: XuJiakai
 * @date: 2021/7/20 09:56
 */
case class company_mortgage_info(is_inc: Boolean) extends NgCompanyDynamicHandle {

  override def flat_map: ChangeExtract => Seq[CompanyDynamicRecord] = (change_extract: ChangeExtract) => {
    val change_fields = change_extract.change_fields
    val tn = change_extract.tn
    val company_id = change_extract.company_id
    val company_name = change_extract.company_name
    val update_type = change_extract.update_type
    val old_data = change_extract.old_data
    val new_data = change_extract.new_data
    val biz_date = change_extract.biz_date
    val rowkey = change_extract.rowkey
    val update_time = change_extract.update_time
    var list: mutable.Seq[CompanyDynamicRecord] = mutable.Seq.empty


    val code = "304301"

    val entityInfo: Seq[AssociationEntityInfo] = Seq(
      AssociationEntityInfo(keyno = new_data.getOrEmptyStr("company_id"), name = new_data.getOrEmptyStr("company_name"), risk_level = NgCompanyRiskLevelType.Caution, rta_info = "抵押人")
    )

    val dynamic_info = Map(
      "mortgager" -> entityInfo
      , "amount" -> new_data.getOrElse("amount", null)
      , "term" -> new_data.getOrElse("term", null)
      , "reg_date" -> new_data.getOrElse("reg_date", null)
    )

    list = list :+ getCompanyDynamicRecord(change_extract, code, dynamic_info, null, entityInfo)

    list
  }
}
