

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.utils.{DailyAggHandle, SimpleDailyDynamic}
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

/**
 * @author: XuJiakai
 * @date: 2021/7/13 15:07
 *        公示催告
 */
case class company_public_announcement(is_inc:Boolean) extends DailyAggHandle with SimpleDailyDynamic {


  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    val keyno = new_data.getOrEmptyStr("company_id")
    val name = new_data.getOrEmptyStr("apply_name")
    Seq(AssociationEntityInfo(keyno = keyno, name = name, risk_level = NgCompanyRiskLevelType.Prompt, null))

  }
}

