

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.implicits.MapHelper._
import com.winhc.bigdata.spark.ng.dynamic.utils.{DailyAggHandle, SimpleDailyDynamic}
import com.winhc.bigdata.spark.ng.dynamic.utils.DynamicFiledUtils.createSimpleDynamicInfo
import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, NgCompanyRiskLevelType}

import scala.collection.mutable

/**
 * @author: XuJiakai
 * @date: 2021/6/29 15:07
 */
case class company_send_announcement(is_inc:Boolean) extends DailyAggHandle  with SimpleDailyDynamic{

  override def getAssociationEntityInfo(new_data: Map[String, String]): Seq[AssociationEntityInfo] = {
    try {
      var list: mutable.Seq[AssociationEntityInfo] = mutable.Seq.empty
      val defendant_info = new_data.getOrEmptyStr("defendant_info")
      list = list ++ getEntity(defendant_info, "litigant_id", "name", NgCompanyRiskLevelType.Caution, "做为被告/被上诉人")

      val plaintiff_info = new_data.getOrEmptyStr("plaintiff_info")
      list = list ++ getEntity(plaintiff_info, "litigant_id", "name", NgCompanyRiskLevelType.Prompt, "做为原告/上诉人")
      list
    } catch {
      case e: Exception => {
        logError(e.getMessage, e)
        Seq.empty
      }
    }
  }


}

