package com.winhc.bigdata.spark.ng.dynamic.utils

import com.winhc.bigdata.spark.ng.dynamic.AssociationEntityInfo
import com.winhc.bigdata.spark.ng.dynamic.NgCompanyRiskLevelType.NgCompanyRiskLevelType
import org.apache.commons.lang3.StringUtils

/**
 * @author: XuJiakai
 * @date: 2021/6/22 15:46
 */
object CompanyDynamicUtils {

  def getAssociationEntityInfo(keyno: String, name: String, risk_level: NgCompanyRiskLevelType, rta_info: String): Seq[AssociationEntityInfo] = {
    Seq(AssociationEntityInfo(keyno = keyno, name = name, risk_level = risk_level, rta_info = rta_info))
  }


  def default_filter(update_type: String, biz_date: String, change_fields: Seq[String], old_data: Map[String, String], new_data: Map[String, String]): Boolean = {
    if (biz_date == null) return false
    if (update_type.equals("remove") || update_type.equals("other")) return false
    if (update_type.equals("update") && change_fields.isEmpty) return false
    true
  }

  def generateId(rowkey: String, biz_date: String, tn: String, random_num: String = null): String = {
    if (StringUtils.isEmpty(random_num)) {
      s"$rowkey@$biz_date@$tn"
    } else {
      s"$rowkey@$biz_date@$tn@$random_num"
    }
  }
}
