package com.winhc.bigdata.spark.ng.dynamic.utils

/**
 * @author ZhangJi
 * @since 2021-07-08 14:28
 */
object DynamicDimConfiguration {
  val DDC = Map(
    "auction_tracking" -> Map(
      "code" -> Map(
        "insert" -> "302901"
      ),
      "sample" -> true,
      "name" -> "司法拍卖",
      "list_field" -> Map(
        "auction_title" -> Map(),
        "initial_price" -> Map(),
        "start_time" -> Map()
      )
    ),
    "company_abnormal_info" -> Map(
      "code" -> Map(
        "insert" -> "301901",
        "update" -> "301902"
      ),
      "sample" -> true,
      "name" -> "经营异常",
      "list_field" -> Map(
        "put_reason" -> Map(),
        "put_department" -> Map(),
        "put_date" -> Map(),
        "remove_reason" -> Map("when" -> "update"),
        "remove_department" -> Map("when" -> "update"),
        "remove_date" -> Map("when" -> "update")
      )
    ),
    "company_court_open_announcement" -> Map(
      "code" -> Map(
        "insert" -> "302101"
      ),
      "name" -> "开庭公告",
      "list_field" -> Map(
        "start_date" -> Map(),
        "case_no" -> Map(),
        "case_reason" -> Map(),

        "defendant_info" -> Map("type" -> "json"),
        "plaintiff_info" -> Map("type" -> "json")
      )
    ),
    "company_env_punishment" -> Map(
      "code" -> Map(
        "insert" -> "302401"
      ),
      "sample" -> true,
      "name" -> "环保处罚",
      "list_field" -> Map(
        "reason" -> Map(),
        "performance" -> Map(),
        "publish_time" -> Map(),
        "content" -> Map()
      )
    ),
    "company_illegal_info" -> Map(
      "code" -> Map(
        "insert" -> "302501"
      ),
      "sample" -> true,
      "name" -> "严重违法",
      "list_field" -> Map(
        "put_reason" -> Map(),
        "put_date" -> Map()
      )
    ),
    "company_own_tax" -> Map(
      "code" -> Map(
        "insert" -> "303001"
      ),
      "sample" -> true,
      "name" -> "欠税公告",
      "list_field" -> Map(
        "tax_balance" -> Map(),
        "new_tax_balance" -> Map(),
        "publish_date" -> Map()
      )
    ),
    "company_punishment_info" -> Map(
      "code" -> Map(
        "insert" -> "302601"
      ),
      "sample" -> true,
      "name" -> "行政处罚",
      "list_field" -> Map(
        "punish_number" -> Map(),
        "content" -> Map(),
        "department_name" -> Map(),
        "decision_date" -> Map()
      )
    ),
    "company_send_announcement" -> Map(
      "code" -> Map(
        "insert" -> "302701"
      ),
      "sample" -> true,
      "name" -> "送达公告",
      "list_field" -> Map(
        "case_no" -> Map(),
        "court" -> Map(),
        "start_date" -> Map()
      )
    ),
    "company_tax_contravention" -> Map(
      "code" -> Map(
        "insert" -> "302801"
      ),
      "sample" -> true,
      "name" -> "税收违法",
      "list_field" -> Map(
        "case_type" -> Map(),
        "publish_time" -> Map()
      )
    ),
    "company_court_announcement" -> Map(
      "code" -> Map(
        "insert" -> "302001"
      ),
      "name" -> "法院公告",
      "list_field" -> Map(
        "announcement_type" -> Map(),
        "litigant" -> Map(
          "type" -> "array",
          "from" -> Seq("plaintiff_info", "litigant_info")
        ),
        "case_no" -> Map()
      )
    ),
    "company_court_register" -> Map(
      "code" -> Map(
        "insert" -> "302201"
      ),
      "name" -> "立案信息",
      "list_field" -> Map(
        "case_reason" -> Map(),
        "filing_date" -> Map(),
        "litigant" -> Map(
          "type" -> "object",
          "from" -> Seq("plaintiff_info", "defendant_info")
        ),
        "case_no" -> Map()
      )
    )
    , "company_punishment_info_creditchina" -> Map(
      "code" -> Map(
        "insert" -> "302601"
      ),
      "name" -> "行政处罚信用中国",
      "list_field" -> Map(
        "punish_number" -> Map(),
        "content" -> Map("from" -> Seq("reason")),
        "department_name" -> Map("from" -> Seq("department")),
        "decision_date" -> Map()
      )
    )

    , "company_check_info" -> Map(
      "code" -> Map(
        "insert" -> "201101"
      ),
      "sample" -> true,
      "name" -> "抽查检查",
      "list_field" -> Map(
        "check_result" -> Map()
        , "check_date" -> Map()
      )
    )

    , "company_double_random_check_info" -> Map(
      "code" -> Map(
        "insert" -> "201201"
      ),
      "sample" -> true,
      "name" -> "双随机抽查",
      "list_field" -> Map(
        "check_task_num" -> Map()
        , "check_task_name" -> Map()
        , "check_department" -> Map()
        , "check_date" -> Map()
      )
    )

    , "company_finance" -> Map(
      "code" -> Map(
        "insert" -> "201301"
      ),
      "sample" -> true,
      "name" -> "融资信息",
      "list_field" -> Map(
        "inverstors" -> Map(),
        "round" -> Map(),
        "money" -> Map()
      )
    )


    , "company_license" -> Map(
      "code" -> Map(
        "insert" -> "201401"
      ),
      "sample" -> true,
      "name" -> "行政许可",
      "list_field" -> Map(
        "license_number" -> Map(),
        "start_date" -> Map(),
        "end_date" -> Map(),
        "department" -> Map(),
        "scope" -> Map()
      )
    )

    , "company_license_creditchina" -> Map(
      "code" -> Map(
        "insert" -> "201401"
      ),
      "name" -> "行政许可",
      "list_field" -> Map(
        "license_number" -> Map("from" -> Seq("licence_number")),
        "start_date" -> Map("from" -> Seq("decision_date")),
        "end_date" -> Map(),
        "department" -> Map(),
        "scope" -> Map("from" -> Seq("licence_content"))
      )
    )

    , "company_license_entpub" -> Map(
      "code" -> Map(
        "insert" -> "201401"
      ),
      "sample" -> true,
      "name" -> "行政许可",
      "list_field" -> Map(
        "license_number" -> Map(),
        "start_date" -> Map(),
        "end_date" -> Map(),
        "department" -> Map(),
        "scope" -> Map()
      )
    )


    , "bankruptcy_open_case" -> Map(
      "code" -> Map(
        "insert" -> "303101"
      ),
      "name" -> "破产信息",
      "list_field" -> Map(
        "case_no" -> Map(),
        "respondent_info" -> Map("type"->"json"),
        "applicant_info" -> Map("type"->"json"),
        "public_date" -> Map()
      )
    )

    , "zxr_evaluate_results" -> Map(
      "code" -> Map(
        "insert" -> "304501"
      ),
      "name" -> "询价评估",
      "list_field" -> Map(
        "keyno" -> Map()
        , "name" -> Map()
        , "money" -> Map("type" -> "json")
        , "asset_type" -> Map()
        , "reference_price" -> Map()
        , "case_no" -> Map()
        , "court_name" -> Map()
        , "publish_time" -> Map()
      )
    )


    , "company_brief_cancel_announcement" -> Map(
      "code" -> Map(
        "insert" -> "303201"
      ),
      "sample" -> true,
      "name" -> "简易注销",
      "list_field" -> Map(
        "reg_authority" -> Map(),
        "announcement_term" -> Map()
      )
    )


    , "company_dishonest_info" -> Map(
      "code" -> Map(
        "insert" -> "303301"
      ),
      "sample" -> true,
      "name" -> "失信被执行人",
      "list_field" -> Map(
        "case_no" -> Map(),
        "performance" -> Map(),
        "pub_date" -> Map()
      )
    )


    , "company_public_announcement" -> Map(
      "code" -> Map(
        "insert" -> "303401"
      ),
      "sample" -> true,
      "name" -> "公示催告",
      "list_field" -> Map(
        "bill_num" -> Map(),
        "apply_name" -> Map(),
        "company_id" -> Map(),
        "bill_amt" -> Map(),
        "publish_date" -> Map()
      )
    )


    , "company_zxr" -> Map(
      "code" -> Map(
        "insert" -> "303501"
      ),
      "sample" -> true,
      "name" -> "被执行人",
      "list_field" -> Map(
        "case_no" -> Map(),
        "exec_money" -> Map(),
        "case_create_time" -> Map()
      )
    )


    , "company_zxr_final_case" -> Map(
      "code" -> Map(
        "insert" -> "303601"
      ),
      "sample" -> true,
      "name" -> "终本案件",
      "list_field" -> Map(
        "case_no" -> Map(),
        "court_name" -> Map(),
        "case_create_time" -> Map(),
        "case_final_time" -> Map()
      )
    )


    , "company_zxr_restrict" -> Map(
      "code" -> Map(
        "insert" -> "303701"
      ),
      "sample" -> true,
      "name" -> "限制高消费",
      "list_field" -> Map(
        "case_no" -> Map(),
        "company_name" -> Map(),
        "company_id" -> Map(),
        "person_name" -> Map(),
        "pid" -> Map(),
        "case_create_time" -> Map()
      )
    )


    , "restrictions_on_exit" -> Map(
      "code" -> Map(
        "insert" -> "303801"
      ),
      "sample" -> true,
      "name" -> "限制出境",
      "list_field" -> Map(
        "case_no" -> Map(),
        "limited_person" -> Map(),
        "limited_person_pid" -> Map(),
        "executed_person_name" -> Map(),
        "executed_person_keyno" -> Map(),
        "court" -> Map(),
        "publish_time" -> Map()
      )
    )


    , "company_land_announcement" -> Map(
      "code" -> Map(
        "insert" -> "201501"
      ),
      "sample" -> true,
      "name" -> "购地信息",
      "list_field" -> Map(
        "project_loc" -> Map(),
        "area" -> Map(),
        "tran_price" -> Map(),
        "use_type" -> Map(),
        "application_name" -> Map(),
        "company_id" -> Map(),
        "contract_date" -> Map()
      )
    )


    , "company_land_publicity" -> Map(
      "code" -> Map(
        "insert" -> "201601"
      ),
      "sample" -> true,
      "name" -> "地块公示",
      "list_field" -> Map(
        "location" -> Map(),
        "area" -> Map(),
        "final_price" -> Map(),
        "use_for" -> Map(),
        "application_name" -> Map(),
        "company_id" -> Map(),
        "publication_date" -> Map()
      )
    )


    , "company_land_transfer" -> Map(
      "code" -> Map(
        "insert" -> "201701"
      ),
      "sample" -> true,
      "name" -> "土地转让",
      "list_field" -> Map(
        "location" -> Map(),
        "area" -> Map(),
        "merchandise_price" -> Map(),
        "user_pre" -> Map(),
        "pre_keyno" -> Map(),
        "user_now" -> Map(),
        "now_keyno" -> Map(),
        "merchandise_time" -> Map()
      )
    )


    , "company_equity_info" -> Map(
      "code" -> Map(
        "insert" -> "303901"
      ),
      "name" -> "股权出质",
      "list_field" -> Map(
        "related_company_name" -> Map(),
        "related_company_id" -> Map(),
        "entity" -> Map(
          "type" -> "object",
          "from" -> Seq("pledgee_info", "pledgor_info")
        ),
        "equity_amount" -> Map(),
        "reg_date" -> Map()
      )
    )


    , "company_equity_pledge_holder" -> Map(
      "code" -> Map(
        "insert" -> "304001"
      ),
      "sample" -> true,
      "name" -> "股权质押",
      "list_field" -> Map(
        "holder_id" -> Map()
        , "holder_name" -> Map()
        , "company_name" -> Map()
        , "company_id" -> Map()
        , "sharefrozennum" -> Map()
        , "frozenintotal" -> Map()
        , "ndate" -> Map()
        , "pledgee" -> Map()
        , "pledgee_id" -> Map()
      )
    )


    , "company_judicial_assistance" -> Map(
      "code" -> Map(
        "insert" -> "304101"
      ),
      "sample" -> true,
      "name" -> "股权冻结",
      "list_field" -> Map(
        "executed_person_id" -> Map(),
        "executed_person" -> Map(),
        "company_name" -> Map(),
        "company_id" -> Map(),
        "equity_amount" -> Map()
      )
    )
    , "company_land_mortgage" -> Map(
      "code" -> Map(
        "insert" -> "304201"
      ),
      "sample" -> true,
      "name" -> "土地抵押",
      "list_field" -> Map(
        "mortgagor_company_id" -> Map()
        , "mortgagor" -> Map()
        , "mortgagee_company_id" -> Map()
        , "mortgagee" -> Map()
        , "executed_person_name" -> Map()
        , "executed_person_keyno" -> Map()
        , "evaluate_amount" -> Map()
        , "mortgage_amount" -> Map()
        , "start_date" -> Map()
        , "end_date" -> Map()
      )
    )


    , "company_lawsuit" -> Map(
      "code" -> Map(
        "insert" -> "304401"
      ),
      "sample" -> true,
      "name" -> "裁判文书",
      "list_field" -> Map(
        "case_reason" -> Map()
        , "case_no" -> Map()
        , "pub_date" -> Map()
      )
    )
    , "wenshu_detail_v2" -> Map(
      "code" -> Map(
        "insert" -> "304401"
      ),
      "sample" -> true,
      "name" -> "裁判文书",
      "list_field" -> Map(
        "case_reason" -> Map()
        , "case_no" -> Map()
        , "pub_date" -> Map()
      )
    )



  )
}
