package com.winhc.bigdata.spark.ng.dynamic.utils

import com.alibaba.fastjson.JSON
import com.winhc.bigdata.spark.implicits.Bool._
import com.winhc.bigdata.spark.ng.dynamic.utils.DynamicDimConfiguration.DDC
import org.apache.commons.lang3.StringUtils
import org.json4s._
import org.json4s.jackson.JsonMethods._

import scala.collection.JavaConverters.asScalaSetConverter

/**
 * @author ZhangJi
 * @since 2021-07-08 10:51
 */
object DynamicFiledUtils {
  val SIMPLE_FILED_CONFIG: Map[String, Map[String, Map[String, Any]]] = DDC.filter(e => e._2.getOrElse("sample", false).asInstanceOf[Boolean]).map(e => (e._1, e._2("list_field").asInstanceOf[Map[String, Map[String, Any]]]))

  def createSimpleDynamicInfo(tn: String, data: Map[String, String], update_type: String = "insert"): (String, Map[String, Any]) = {
    val config = SIMPLE_FILED_CONFIG.getOrElse(tn, Map.empty)
    val filter_set = config.filter(e => e._2.getOrElse("when", "insert").equals(update_type)).map(e => e._2.getOrElse("from", Seq(e._1)).asInstanceOf[Seq[String]].head).toSet
    (DDC(tn)("code").asInstanceOf[Map[String, String]].getOrElse(update_type, null),
      data.filterKeys(e => filter_set.contains(e)))
  }

  def distinctBy[A, B](xs: Seq[A])(f: A => B): List[A] =
    scala.reflect.internal.util.Collections.distinctBy(xs.toList)(f)

  def createDynamicInfo(tn: String, data: Map[String, String]): (String, Map[String, Any]) = {
    val lf = DDC(tn)("list_field").asInstanceOf[Map[String, Map[String, Any]]]
    val dynamicInfo = lf.map(elem => {
      val from = elem._2.getOrElse("from", Seq(elem._1)).asInstanceOf[Seq[String]]
      elem._2.get("type") match {
        case Some("array") => {
          (elem._1, distinctBy(from.flatMap(n => {
            val v = data.getOrElse(n, null)
            if (StringUtils.isEmpty(v)) {
              List.empty[JValue]
            } else {
              var array = parse(v, useBigDecimalForDouble = true).asInstanceOf[JArray]
              array = (array == null) ? new JArray(List.empty[JValue]) | array
              array.arr
            }
          }))(jo => jo \ "name"))
        }
        case Some("object") => {
          (elem._1, from.map(e => {
            val v = data.getOrElse(e, null)
            if (StringUtils.isEmpty(v)) {
              (e.replace("_info", ""), null)
            } else
              (e.replace("_info", ""), parse(data.getOrElse(e, null)))
          }).toMap)
        }
        case Some("json") => {
          val v = data.getOrElse(from.head, null)
          if (StringUtils.isEmpty(v)) {
            (elem._1, null)
          } else {
            (elem._1, parse(v))
          }
        }
        case _ => (elem._1, data.getOrElse(from.head, null))
      }
    })
    (DDC(tn)("code").asInstanceOf[Map[String, String]]("insert"), dynamicInfo)
  }


  def main(args: Array[String]): Unit = {
    val str2 =
      """
        |{
        |    "LEGAL_NAME_TYPE": "2",
        |    "LICENCE_STATUS": "",
        |    "AUDIT_YPE": "普通",
        |    "LEGAL_NAME_ID": "23402373",
        |    "AREA_NAME": "",
        |    "END_DATE": "2023-01-12 00:00:00",
        |    "DEPARTMENT": "北京市文化和旅游局",
        |    "UPDATE_TIME": "2021-03-19 07:24:40",
        |    "AREA_CODE": "",
        |    "DELETED": "0",
        |    "RESUME": "",
        |    "COMPANY_NAME": "小米科技有限责任公司",
        |    "LICENCE_CONTENT": "经营性互联网文化单位设立审批",
        |    "DECISION_DATE": "2020-01-13 00:00:00",
        |    "APPRO_TIME": "2021-03-19 07:24:39",
        |    "rowkey": "d0195c31c1a3a0bc3e1c50b9d262db7c",
        |    "licence_number": "京网文﹝2020﹞0276-042号",
        |    "CREATE_TIME": "2021-03-19 07:24:40",
        |    "INT_STATUS": "0",
        |    "COMPANY_ID": "bc702f0f5202342a9c1c75fbf9be9aff",
        |    "LEGAL_PERSON_NAME": "",
        |    "VALIDITY_TIME": ""
        |  }
        |""".stripMargin

    var jo = JSON.parseObject(str2.toLowerCase())

    val value2 = scala.collection.mutable.Map[String, String]()

    jo.keySet().asScala.foreach(key => {
      value2.put(key, jo.getString(key))
    })
    //    val tuple = createDynamicInfo("company_equity_info", value)
    //    val tuple = createSimpleDynamicInfo("company_license_creditchina", value2)
    val tuple = createDynamicInfo("company_license_creditchina", value2.toMap[String, String])
    println(tuple._2)

  }
}
