package com.winhc.bigdata.spark.test

import com.winhc.bigdata.spark.udf.{BaseFunc, CompanyMapping, CourtRank}
import com.winhc.bigdata.spark.utils.{BaseUtil, LoggingUtils, SparkUtils, TableInitUtil}
import org.apache.spark.sql.SparkSession

import scala.annotation.meta.getter
import scala.collection.mutable

/**
 * @author: XuJiakai
 * @date: 2020/12/17 14:51
 */
case class MyTest(s: SparkSession
                 ) extends LoggingUtils with TableInitUtil with BaseFunc with CompanyMapping with CourtRank {
  @(transient@getter) val spark: SparkSession = s

  def te(index: String): Unit = {
    import com.winhc.bigdata.spark.implicits.PhoenixHelper._

    sql(
      s"""
         |SELECT  rowkey
         |        ,new_cid as cid
         |        ,hid
         |        ,staff_type
         |        ,create_time
         |        ,update_time
         |        ,deleted
         |FROM    winhc_eci_dev.xjk_xjk_staff
         |""".stripMargin)
      .save2PhoenixByJDBCPro(s"XJK_TMP_OUT_PHOENIX_STAFF_DI")
  }
}

object MyTest {
  def main(args: Array[String]): Unit = {
    val Array(index) = args
    val config = mutable.Map(
      "spark.hadoop.odps.project.name" -> "winhc_eci_dev",
      "spark.hadoop.odps.spark.local.partition.amt" -> "10"
    )
    val spark = SparkUtils.InitEnv(this.getClass.getSimpleName, config)

    val start = BaseUtil.nowDate("yyyy-MM-dd HH:mm:ss")
    MyTest(spark).te(index)
    print(
      s"""
         |start as : ${start}
         |end as : ${BaseUtil.nowDate("yyyy-MM-dd HH:mm:ss")}
         |""".stripMargin)
    spark.stop()
  }
}
