package com.winhc.bigdata.spark.test

import com.winhc.bigdata.spark.utils.SparkUtils

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/7/4 10:01
 * @Description:
 */
object TestCatalog {
  def main(args: Array[String]): Unit = {
    val config = mutable.Map(
      "spark.hadoop.odps.spark.local.partition.amt" -> "1000"
    )
    val spark  = SparkUtils.InitEnv("test",config)

    import spark.implicits._

    spark.catalog.listTables().map(t=>t.name).filter(t=>t.startsWith("tmp_replace_deleted_"))
      .collect().seq.foreach(t=>{
      println(s"DROP TABLE IF EXISTS $t;")
    })

    spark.stop()
  }

}
