package com.winhc.bigdata.spark.test

import com.aliyun.odps.TableSchema
import com.aliyun.odps.data.Record
import com.winhc.bigdata.spark.utils.SparkUtils
import org.apache.spark.odps.OdpsOps

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/6/3 17:17
 * @Description:
 */
object TestOps2Phoenix {
  def main(args: Array[String]): Unit = {
    val map = mutable.Map[String, String](
      "spark.sql.catalogImplementation" -> "in-memory"
    )

    val spark = SparkUtils.InitEnv("test ops to phoenix", map)
    val odpsOps = new OdpsOps(spark.sparkContext)
    import spark.implicits._

    val rdd_2 = odpsOps.readTable(
      "winhc_test_dev",
      "const_company_category_code",
      (r: Record, schema: TableSchema) => (r.getBigint(0), r.getString(1), r.getString(2), r.getString(3), r.getString(4))
    )
    rdd_2.foreach(println(_))
    import com.winhc.bigdata.spark.implicits.PhoenixHelper._

    rdd_2.toDF("\"id\"", "\"category_code\"", "\"category_str\"", "\"category_str_middle\"", "\"category_str_big\"")
      .save2Phoenix("CONST_COMPANY_CATEGORY_CODE")

    spark.stop()
  }

}
