package com.winhc.bigdata.spark.test

import com.winhc.bigdata.spark.config.PhoenixConfig
import com.winhc.bigdata.spark.utils.SparkUtils

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/6/2 16:56
 * @Description:
 */
object TestSpark2AliPhoenix {
  def main(args: Array[String]): Unit = {
    val map = mutable.Map[String, String](
      "spark.sql.catalogImplementation" -> args(0)
    )
    val sparkSession = SparkUtils.InitEnv("scala spark on Phoenix5.x test", map)
    val phoenixTableName = "COMPANY_BID_LIST"
    val sparkTableName = "test_spark"

    val driver = "org.apache.phoenix.queryserver.client.Driver"
    val url = PhoenixConfig.getPhoenixJDBCUrl

    //    sparkSession.sql("select * from const_company_category_code").show()

    sparkSession.sql(s"drop table if exists $sparkTableName")
    val createCmd = "CREATE TABLE " +
      sparkTableName +
      " USING org.apache.spark.sql.jdbc\n" +
      "OPTIONS (\n" +
      "  'driver' '" + driver + "',\n" +
      "  'url' '" + url + "',\n" +
      "  'dbtable' '" + phoenixTableName + "',\n" +
      "  'fetchsize' '" + 100 + "'\n" +
      ")"
    println(" createCmd: \n" + createCmd)
    sparkSession.sql(createCmd)
    val querySql = "select * from " + sparkTableName + " limit 100"
    sparkSession.sql(querySql).show

    //        sparkSession.createDataFrame(Seq(("rowkey", "2", null))).toDF("k", "s", "time")
    //          .write
    //          .mode("append")
    //          .insertInto(sparkTableName)

    sparkSession.stop()
  }
}
