package com.winhc.bigdata.spark.test

import com.winhc.bigdata.spark.config.PhoenixConfig
import com.winhc.bigdata.spark.utils.SparkUtils
import org.apache.phoenix.spark._

/**
 * @Author: XuJiakai
 * @Date: 2020/6/2 13:49
 * @Description:
 */
object TestSpark2Phoenix {
  def main(args: Array[String]): Unit = {
    val spark = SparkUtils.InitEnv("testSpark2Phoenix")

    val df1 = spark.sqlContext.phoenixTableAsDataFrame("\"company_abnormal_info\"", Seq("rowkey", "ncid"), zkUrl = Some(PhoenixConfig.getPhoenixOptions("\"company_abnormal_info\"")("zkUrl")))
    df1.show()

    val df = spark.createDataFrame(Seq(("xjkxjk", "ncid_value", "ncname_value"))).toDF("\"rowkey\"", "\"ncid\"", "\"ncname\"")

    df.saveToPhoenix(PhoenixConfig.getPhoenixOptions("\"company_abnormal_info\""))

    spark.stop()
  }
}
