package com.winhc.bigdata.spark.test

import java.util

import com.winhc.bigdata.spark.utils.SparkUtils
import org.apache.spark.sql.Row
import org.apache.spark.sql.types.{DataType, StringType, StructField, StructType, VarcharType}

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/6/3 15:53
 * @Description:
 */
object TestSpark2PhoenixJDBC {
  def main(args: Array[String]): Unit = {
    val map = mutable.Map[String, String](
      "spark.hadoop.odps.spark.local.partition.amt" -> "100"
    )
    val sparkSession = SparkUtils.InitEnv("scala spark on Phoenix5.x test", map)

    import sparkSession._

    val dt: DataType = StringType
    val schema = StructType(Array(
      StructField("ROWKEY", dt, nullable = false),
      StructField("ID", dt, nullable = false),
      StructField("NAME", dt, nullable = true),
      StructField("ADDR", dt, nullable = true)
    )
    )
    val dataList = new util.ArrayList[Row]()
    dataList.add(Row("adsfa", "1", "2", "null"))
    val df = createDataFrame(dataList, schema)
    import com.winhc.bigdata.spark.implicits.PhoenixHelper._
    df.save2PhoenixByJDBC("PHX_TEST")

    sparkSession.stop()
  }
}
