package com.winhc.bigdata.spark.test

import java.io.{File, PrintWriter}

import com.winhc.bigdata.spark.test.ExportSql.{getCols, getSql}
import com.winhc.bigdata.spark.utils.SparkUtils

import scala.collection.mutable

/**
 * @Author: XuJiakai
 * @Date: 2020/7/3 08:53
 * @Description:
 */
object addMd5Sql {

  def getAddSql(tableName: String, cols: Seq[String]): String = {
    val cs = cols.filter(!"ds".equals(_)).seq
    s"""
      |ALTER TABLE $tableName ADD COLUMNS(md5 String COMMENT '数据去重主键md5值');
      |INSERT OVERWRITE TABLE $tableName PARTITION(ds)
      |SELECT ${cs.mkString(",")},md5(),ds
      |FROM
      |    $tableName
      |WHERE ds>0;
      |""".stripMargin
    null
  }

  def main(args: Array[String]): Unit = {
    val config = mutable.Map(
      "spark.hadoop.odps.project.name" -> "winhc_eci_dev",
      "spark.hadoop.odps.spark.local.partition.amt" -> "10"
    )
    val spark = SparkUtils.InitEnv("exportSql", config)

    val catalog = spark.catalog
    val tables = catalog.listTables.collect().map(_.name).filter(_.startsWith("inc_ods")).seq


    val allSql = tables.map(t => {
      getSql(t, getCols(catalog, t))
    }).seq.mkString("")

    val writer = new PrintWriter(new File("C:\\Users\\x\\Desktop\\公司\\all_sql.txt"))

    writer.write(allSql)
    writer.close()

    spark.stop()
  }
}
