package com.winhc.bigdata.spark.utils

/**
 * @author: XuJiakai
 * @date: 2021/5/28 10:15
 */
case class AreaCode2Name(code: String, name: String, rank: Int, sub_content: Map[String, AreaCode2Name]) extends Comparable[AreaCode2Name] {
  override def hashCode(): Int = s"$code@$rank".hashCode()

  override def equals(obj: Any): Boolean =
    obj match {
      case d: AreaCode2Name =>
        s"$code@$rank".equals(s"${d.code}@${d.rank}")
      case _ =>
        false
    }

  override def compareTo(o: AreaCode2Name): Int = code.compareTo(o.code)
}

case class area_code_org(area_code: String, province: String, city: String, district: String)

object AreaCode2Name {
  def getAreaCodeTree(seq: Seq[area_code_org]): Map[String, AreaCode2Name] = {
    val map: Map[String, AreaCode2Name] = seq.groupBy(f => f.area_code.substring(0, 2)).map(f => {
      val first_code = f._1
      val first_name = f._2(0).province
      val f_sub = f._2.groupBy(s => s.area_code.substring(2, 4)).map(s => {
        val second_code = s._1
        val second_name = s._2(0).city
        val s_sub = s._2.map(t => (t.area_code.substring(4, 6), AreaCode2Name(t.area_code.substring(4, 6), t.district, 3, null))).toMap
        (second_code, AreaCode2Name(second_code, second_name, 2, s_sub))
      }).toMap

      (first_code, AreaCode2Name(first_code, first_name, 1, f_sub))
    }).toMap
    map
  }
}