package com.winhc.bigdata.spark.utils

import com.winhc.bigdata.spark.utils
import com.aliyun.odps.utils.StringUtils
import com.winhc.bigdata.spark.jobs.CompanyNameMappingPro.{cname_bytes, current_cid_bytes, f_bytes}
import org.apache.hadoop.hbase.CellUtil
import org.apache.hadoop.hbase.client.{Get, Table}
import org.apache.hadoop.hbase.util.Bytes

import scala.collection.mutable.Set

/**
 * @Author: XuJiakai
 * @Date: 2020/6/10 16:13
 * @Description:
 */
object CompanyNameMappingUtil {

  def getCurrentIdAndName(table: Table, cid: String): (String, String) = {
    var current_cid: String = cid
    var name: String = null
    val mutableSet = Set(cid)
    while (true) {
      val result = table.get(new Get(Bytes.toBytes(current_cid)))
      if (result.isEmpty) {
        return (null, null)
      }
      val tmp_name = Bytes.toString(CellUtil.cloneValue(result.getColumnCells(f_bytes, cname_bytes) get (0)))
      var tmp_current_cid: String = null
      try {
        tmp_current_cid = Bytes.toString(CellUtil.cloneValue(result.getColumnCells(f_bytes, current_cid_bytes) get (0)))
      } catch {
        case e: Exception => {
        }
      }
      if (StringUtils.isEmpty(tmp_current_cid)) {
        return (current_cid, tmp_name)
      }

      if (mutableSet.contains(tmp_current_cid)) {
        println("set contains cid:" + cid)
        return (null, null)
      }
      mutableSet += tmp_current_cid
      current_cid = tmp_current_cid
      name = tmp_name
    }
    (current_cid, name)
  }


  def main(args: Array[String]): Unit = {

    """
      |3190263436
      |3190295172
      |3190378251
      |3190391976
      |3190397579
      |3190406832
      |3193723587
      |3193773044
      |
      |""".stripMargin
    val table = HbaseUtil.getTable("company_name_kv")
    for (id <- Seq("3190263436",
      "3190295172",
      "3190295172",
      "3190378251",
      "3190391976",
      "3190397579",
      "3190406832",
      "3193723587",
      "3193773044"))
      println(getCurrentIdAndName(table, id))
  }
}
