package com.winhc.bigdata.spark.utils

/**
 * @Author: XuJiakai
 * @Date: 2020/5/21 13:52
 * @Description:
 */
object CompanySummaryUtils {

  val map = Map(
    "company_license" -> ("new_cid", "company_license"), // 行政许可-工商局
    "company_abnormal_info" -> ("new_cid", "company_abnormal_info"), // 经营异常
    "company_liquidating_info" -> ("new_cid", "company_liquidating_info"), // 清算信息
    "company_equity_info_list" -> ("cid", "company_equity_info_list"), // 股权出质
    "company_judicial_assistance" -> ("new_cid", "company_judicial_assistance"), // 司法协助
    "company_illegal_info" -> ("new_cid", "company_illegal_info"), // 严重违法
    "company_license_entpub" -> ("new_cid", "company_license_entpub"), // 行政许可-企业公示
    "company_patent_list" -> ("new_cid", "company_patent_list"), // 专利
    "company_copyright_works_list" -> ("new_cid", "company_copyright_works_list"), // 作品著作权
    "company_copyright_reg_list" -> ("new_cid", "company_copyright_reg_list"), // 软件著作权
    "company_wechat" -> ("new_cid", "company_wechat"), // 微信公众号
    "company_tm" -> ("new_cid", "company_tm"), // 商标
    "company_icp" -> ("new_cid", "company_icp"), // 网站备案
    "company_app_info" -> ("new_cid", "company_app_info"), // 产品信息
    "company_license_creditchina" -> ("new_cid", "company_license_creditchina"), // 行政许可-信用中国
    "company_court_announcement_list" -> ("cid", "company_court_announcement_list"), // 法院公告
    "company_env_punishment" -> ("cid", "company_env_punishment"), // 环保处罚
    "company_punishment_info" -> ("cid", "company_punishment_info"), // 行政处罚
    "company_punishment_info_creditchina" -> ("cid", "company_punishment_info_creditchina"), // 行政处罚-信用中国
    "company_land_transfer" -> ("cid", "company_land_transfer"), // 土地转让
    "company_land_publicity" -> ("cid", "company_land_publicity"), // 地块公示
    "company_land_mortgage" -> ("cid", "company_land_mortgage"), // 土地抵押
    "company_land_announcement" -> ("cid", "company_land_announcement"), // 购地信息
    "company_bid_list" -> ("cid", "company_bid_list") // 招投标
  )

  def getSummarySql(tableName: String, companyIdFieldName: String) = s"select $companyIdFieldName as company_id,count(1) as ${tableName}_num from $tableName where $companyIdFieldName <>0 group by $companyIdFieldName"

  def main(args: Array[String]): Unit = {
    println(getSummarySql("abc","ncid"))
  }
}
