package com.winhc.bigdata.spark.utils

import com.winhc.bigdata.spark.ng.dynamic.NgCompanyDynamicHandle
import org.reflections.Reflections

import java.lang.reflect.Modifier
import scala.collection.JavaConverters._

/**
 * @Author: XuJiakai
 * @Date: 2020/7/27 17:01
 * @Description:
 */
object ReflectUtils {
  def getClazz[T](clazzName: String, initArgs: Any*): T = {
    if (initArgs == null || initArgs.isEmpty) {
      Class.forName(clazzName)
        .getConstructors.head.newInstance()
        .asInstanceOf[T]
    } else {
      Class.forName(clazzName)
        .getConstructors.head.newInstance(initArgs.asInstanceOf[Seq[Object]]: _*)
        .asInstanceOf[T]
    }
  }

  def subTraitClassName[T](underlying: Class[T], prefix: String): Seq[String] = {
    val reflects = new Reflections(prefix)
    reflects
      .getSubTypesOf(underlying)
      .asScala
      .filter(r => !Modifier.isAbstract(r.getModifiers))
      .map(_.getName)
      .toSeq
  }

  def subObject[T](underlying: Class[T], prefix: String, initArgs: Any*): Seq[T] = {
    subTraitClassName(underlying, prefix).map(clazzName => {
      getClazz[T](clazzName, initArgs: _*)
    })
  }

  def main(args: Array[String]): Unit = {
    val handle = getClazz[NgCompanyDynamicHandle]("com.winhc.bigdata.spark.ng.dynamic.handle.company_land_transfer", true)
    println(handle)
    //    val a = subTraitClassName[CompanyChangeHandle](classOf[CompanyChangeHandle], "com.winhc.bigdata.spark.jobs.chance")
    //    println(a)
  }
}
