package com.winhc.bigdata.spark.utils

import java.util.regex.Pattern

import com.aliyun.odps.utils.StringUtils

/**
 * @author: XuJiakai
 * @date: 2020/11/3 11:18
 */
object RegisteredCapitalUtil {

  private def isDouble(v: String) = try {
    v.toDouble
    true
  } catch {
    case e: Exception =>
      false
  }

  private val pattern = Pattern.compile("[^0-9.]")

  def registered_capital_trim(v: String): String = {
    if (StringUtils.isEmpty(v)) return null
    if (v.contains("%")) return null
    val matcher = pattern.matcher(v)
    try {
      val a = matcher.replaceAll(" ").split("\\s+")(0)
      if (StringUtils.isNotBlank(a)) if (isDouble(a)) a
      else null
      else null
    } catch {
      case exception: ArrayIndexOutOfBoundsException =>
        null
    }
  }
}
