package com.winhc.bigdata.spark.utils

import cn.hutool.crypto.SecureUtil
import org.apache.commons.lang3.StringUtils

/**
 * @Description:主键规则字段修改
 * @author π
 * @date 2020/9/49:28
 */
object RowkeyRuleUtils {
  val md5Map =
    Map("company_patent" -> "1"
    )

  val reg = "^CN.*".r

  def rowkey_trans(s: String, name: String): String = {
    var res = ""
    if (md5Map.contains(name)) {
      res = md5Map(name)
    }
    val r = res match {
      case "1" => patent(s)
      case _ => s
    }
    r
  }

  //专利规则
  def patent(s: String): String = {
    if (StringUtils.isBlank(s)) {
      return ""
    }
    var r = s
    val flag = reg.pattern.matcher(s.toUpperCase()).matches()
    if (flag) {
      r = s.substring(2)
    }
    r
  }

  def main(args: Array[String]): Unit = {

    val r1 ="CN211281060U"
    val r2 ="2019218036260"
    val re1 = rowkey_trans(r1, "company_patent")
    val re2 = rowkey_trans(r2, "company_patent")
    val md5 = SecureUtil.md5(re1 + re2)
    val md52 = SecureUtil.md5(r1 + r2)
    println(md5)
    println(md52)
    println(re1 + " " + re2)
  }
}
