package com.winhc.bigdata.spark.utils

import com.winhc.bigdata.spark.utils.BaseUtil._
import org.apache.spark.sql.SparkSession

import scala.collection.mutable

object SparkUtils {
  def InitEnv(appName: String): SparkSession = {
    InitEnv(appName, null)
  }

  def InitEnv(appName: String, config: mutable.Map[String, String]): SparkSession = {
    val spark = SparkSession
      .builder()
      .appName(appName)
      .enableHiveSupport()
      .config("spark.sql.broadcastTimeout", 20 * 60)
      .config("spark.sql.crossJoin.enabled", true)
      .config("spark.hadoop.odps.cupid.smartnat.enable", true)
      .config("odps.exec.dynamic.partition.mode", "nonstrict")
      .config("spark.hadoop.odps.project.name", "winhc_eci_dev")
//      .config("spark.hadoop.odps.project.name", "winhc_test_dev")
      .config("spark.hadoop.odps.access.id", "LTAI4G4n7pAW8tUbJVkkZQPD")
      .config("spark.hadoop.odps.access.key", "uNJOBskzcDqHq1TYG3m2rebR4c1009")
      .config("spark.sql.catalogImplementation", "odps")
      .config("spark.hadoop.odps.end.point", "http://service.cn.maxcompute.aliyun.com/api")
      .config("spark.hadoop.odps.runtime.end.point", "http://service.cn.maxcompute.aliyun-inc.com/api")
      .config("spark.hadoop.odps.cupid.vectorization.enable", false)

    if (isWindows) {
      spark.master("local[*]")
    }
    if (config != null) {
      for (e <- config) {
        spark.config(e._1, e._2)
      }
    }
    spark.getOrCreate()
  }
}
